/*
 * inputs[0] = "k55"
 * inputs[1] = "k54"
 * inputs[2] = "k53"
 * inputs[3] = "k52"
 * inputs[4] = "k51"
 * inputs[5] = "k50"
 * inputs[6] = "k49"
 * inputs[7] = "k48"
 * inputs[8] = "k46"
 * inputs[9] = "k45"
 * inputs[10] = "k44"
 * inputs[11] = "k43"
 * inputs[12] = "k42"
 * inputs[13] = "k40"
 * inputs[14] = "k39"
 * inputs[15] = "k38"
 * inputs[16] = "k37"
 * inputs[17] = "k36"
 * inputs[18] = "k35"
 * inputs[19] = "k34"
 * inputs[20] = "k33"
 * inputs[21] = "k32"
 * inputs[22] = "k31"
 * inputs[23] = "k30"
 * inputs[24] = "k29"
 * inputs[25] = "k28"
 * inputs[26] = "k27"
 * inputs[27] = "k26"
 * inputs[28] = "k25"
 * inputs[29] = "k24"
 * inputs[30] = "k23"
 * inputs[31] = "k22"
 * inputs[32] = "k21"
 * inputs[33] = "k20"
 * inputs[34] = "k19"
 * inputs[35] = "k18"
 * inputs[36] = "k17"
 * inputs[37] = "k16"
 * inputs[38] = "k15"
 * inputs[39] = "k14"
 * inputs[40] = "k12"
 * inputs[41] = "k10"
 * inputs[42] = "k9"
 * inputs[43] = "k8"
 * inputs[44] = "k7"
 * inputs[45] = "k6"
 * inputs[46] = "k5"
 * inputs[47] = "k4"
 * inputs[48] = "k2"
 * inputs[49] = "k1"
 * inputs[50] = "k0"
 *
 * "k47" = 0x00ff00ff
 * "k41" = 0x55555555
 * "k13" = 0x33333333
 * "k11" = 0x0000ffff
 * "k3" = 0x0f0f0f0f
 */

unsigned long
dessecr32 (
	const unsigned long	*inputs
) {
	register unsigned long	result = ~0UL;
	register unsigned long	x0, x1, x2, x3, x4, x5, x6, x7;
	register unsigned long	x8, x9, x10, x11, x12, x13, x14, x15;
	register unsigned long	x16, x17, x18, x19, x20, x21, x22, x23;
	register unsigned long	x24, x25, x26, x27, x28, x29, x30, x31;
	register unsigned long	x32, x33, x34, x35, x36, x37, x38, x39;
	register unsigned long	x40, x41, x42, x43, x44, x45, x46, x47;
	register unsigned long	x48, x49, x50, x51, x52, x53, x54, x55;
	register unsigned long	x56, x57, x58, x59, x60, x61, x62, x63;
	register unsigned long	x64, x65, x66, x67, x68, x69, x70, x71;
	register unsigned long	x72, x73, x74, x75, x76, x77, x78, x79;
	register unsigned long	x80, x81, x82, x83, x84, x85, x86, x87;
	register unsigned long	x88, x89, x90, x91, x92, x93, x94, x95;
	register unsigned long	x96, x97, x98, x99, x100, x101, x102, x103;
	register unsigned long	x104, x105, x106, x107, x108, x109, x110, x111;
	register unsigned long	x112, x113, x114, x115, x116, x117, x118, x119;
	register unsigned long	x120, x121, x122, x123, x124, x125, x126, x127;
	register unsigned long	x128, x129, x130, x131, x132, x133, x134, x135;
	register unsigned long	x136, x137, x138, x139, x140, x141, x142, x143;
	register unsigned long	x144, x145, x146, x147, x148, x149, x150, x151;
	register unsigned long	x152, x153, x154, x155, x156;

	x0 = 0x0000ffff;
	x1 = ~x0;
	x2 = 0x55555555;
	x3 = ~x2;
	x4 = x2 & x0;
	x5 = 0x33333333;
	x6 = x4 ^ x5;
	x7 = 0x00ff00ff;
	x6 &= x7;
	x8 = x3 ^ x0;
	x8 ^= x5;
	x6 ^= x8;
	x9 = inputs[27];
	x6 &= x9;
	x10 = x1 & x5;
	x11 = x4 ^ x10;
	x11 &= x7;
	x12 = x3 & x5;
	x11 ^= x12;
	x6 ^= x11;
	x11 = 0x0f0f0f0f;
	x6 &= x11;
	x13 = x2 | x0;
	x14 = x13 & x5;
	x15 = x1 ^ x14;
	x15 &= x7;
	x15 ^= x0;
	x15 &= x9;
	x16 = ~x14;
	x16 &= x7;
	x8 ^= x16;
	x15 ^= x8;
	x6 ^= x15;
	x8 = x3 | x0;
	x15 = x12 ^ x8;
	x15 &= x7;
	x16 = x3 ^ x12;
	x16 ^= x15;
	x16 &= x9;
	x17 = x14 & x7;
	x18 = x5 & x0;
	x19 = x1 | x3;
	x20 = x18 ^ x19;
	x17 ^= x20;
	x16 ^= x17;
	x16 &= x11;
	x19 &= x5;
	x19 ^= x8;
	x19 &= x7;
	x17 = x2 & x5;
	x21 = x13 ^ x17;
	x19 ^= x21;
	x19 &= x9;
	x21 = x20 & x7;
	x12 ^= x4;
	x21 ^= x12;
	x19 ^= x21;
	x16 ^= x19;
	x15 ^= x4;
	x15 &= x9;
	x12 = x1 & x2;
	x19 = x12 & x5;
	x19 ^= x12;
	x19 &= x7;
	x21 = x1 | x2;
	x22 = x21 & x5;
	x8 ^= x22;
	x22 = x19 ^ x8;
	x15 ^= x22;
	x15 &= x11;
	x20 ^= x19;
	x20 &= x9;
	x8 &= x7;
	x21 ^= x18;
	x8 ^= x21;
	x20 ^= x8;
	x15 ^= x20;
	x17 ^= x4;
	x17 &= x7;
	x17 &= x9;
	x18 ^= x2;
	x18 &= x7;
	x10 ^= x13;
	x18 ^= x10;
	x17 ^= x18;
	x17 &= x11;
	x8 = x14 ^ x0;
	x8 &= x7;
	x10 = x1 & x3;
	x14 ^= x10;
	x8 ^= x14;
	x8 &= x9;
	x4 &= x5;
	x4 ^= x3;
	x4 &= x7;
	x1 ^= x3;
	x1 &= x5;
	x12 ^= x1;
	x4 ^= x12;
	x8 ^= x4;
	x17 ^= x8;
	x17 = ~x17;
	x1 = inputs[45];
	x3 = ~x1;
	x4 = inputs[7];
	x8 = ~x4;
	x10 = inputs[14];
	x12 = ~x10;
	x13 = inputs[34];
	x14 = ~x13;
	x18 = x12 & x13;
	x19 = x3 & x18;
	x18 ^= x19;
	x20 = inputs[26];
	x18 &= x20;
	x21 = x10 & x3;
	x21 ^= x12;
	x18 ^= x21;
	x18 &= x8;
	x21 = x3 & x13;
	x22 = x12 & x14;
	x23 = x21 ^ x22;
	x23 &= x20;
	x24 = ~x21;
	x23 ^= x24;
	x24 = inputs[1];
	x23 &= x24;
	x25 = x10 & x14;
	x25 &= x3;
	x26 = x10 | x13;
	x27 = x25 ^ x26;
	x27 &= x20;
	x28 = x3 & x14;
	x29 = x10 ^ x14;
	x30 = x28 ^ x29;
	x27 ^= x30;
	x23 ^= x27;
	x18 ^= x23;
	x18 = ~x18;
	x23 = x24 & x22;
	x27 = x20 & x19;
	x21 ^= x26;
	x21 ^= x27;
	x23 ^= x21;
	x23 &= x8;
	x21 = x3 ^ x14;
	x27 ^= x21;
	x27 &= x24;
	x21 = x3 ^ x29;
	x30 = x20 ^ x21;
	x27 ^= x30;
	x23 ^= x27;
	x21 &= x20;
	x21 ^= x29;
	x21 &= x24;
	x27 = x12 | x13;
	x30 = x3 & x27;
	x30 ^= x12;
	x30 &= x20;
	x31 = ~x25;
	x30 ^= x31;
	x21 ^= x30;
	x21 &= x8;
	x14 |= x10;
	x14 &= x3;
	x30 = x10 ^ x14;
	x30 &= x20;
	x12 ^= x28;
	x30 ^= x12;
	x30 &= x24;
	x12 = x3 & x29;
	x12 ^= x26;
	x12 &= x20;
	x31 = x3 & x26;
	x31 ^= x10;
	x12 ^= x31;
	x30 ^= x12;
	x21 ^= x30;
	x22 ^= x28;
	x22 &= x20;
	x26 ^= x19;
	x22 ^= x26;
	x8 &= x22;
	x12 = x10 & x13;
	x25 ^= x12;
	x25 &= x20;
	x19 ^= x29;
	x25 ^= x19;
	x25 &= x24;
	x27 ^= x14;
	x27 &= x20;
	x28 = ~x28;
	x27 ^= x28;
	x25 ^= x27;
	x8 ^= x25;
	x8 = ~x8;
	x12 = inputs[2];
	x14 = ~x12;
	x19 = inputs[28];
	x22 = ~x19;
	x25 = inputs[36];
	x26 = ~x25;
	x27 = inputs[46];
	x28 = x12 & x27;
	x29 = x26 & x28;
	x30 = x12 & x19;
	x29 ^= x30;
	x31 = inputs[20];
	x29 &= x31;
	x32 = x27 & x30;
	x33 = x30 ^ x32;
	x33 &= x26;
	x34 = x14 | x22;
	x35 = x28 ^ x34;
	x33 ^= x35;
	x29 ^= x33;
	x33 = inputs[19];
	x29 &= x33;
	x35 = x14 ^ x22;
	x36 = x27 & x35;
	x36 ^= x19;
	x36 &= x26;
	x37 = x12 | x22;
	x36 ^= x37;
	x36 &= x31;
	x38 = x27 & x14;
	x39 = x19 | x14;
	x40 = x38 ^ x39;
	x40 ^= x26;
	x36 ^= x40;
	x29 ^= x36;
	x29 = ~x29;
	x36 = x26 & x38;
	x40 = x12 & x22;
	x36 ^= x40;
	x36 &= x31;
	x41 = ~x28;
	x41 &= x26;
	x42 = x19 & x27;
	x43 = x40 ^ x42;
	x43 ^= x41;
	x36 ^= x43;
	x36 &= x33;
	x43 = x27 & x40;
	x44 = x39 ^ x43;
	x45 = x26 & x44;
	x44 ^= x45;
	x44 &= x31;
	x40 ^= x43;
	x40 &= x26;
	x43 = x27 & x39;
	x46 = x19 & x14;
	x43 ^= x46;
	x40 ^= x43;
	x44 ^= x40;
	x36 ^= x44;
	x32 ^= x39;
	x41 ^= x32;
	x41 &= x31;
	x32 = x27 & x37;
	x35 ^= x32;
	x35 &= x26;
	x30 ^= x32;
	x35 ^= x30;
	x41 ^= x35;
	x41 &= x33;
	x28 ^= x12;
	x28 &= x26;
	x42 ^= x22;
	x28 ^= x42;
	x28 &= x31;
	x30 = x12 ^ x22;
	x30 ^= x32;
	x45 ^= x30;
	x28 ^= x45;
	x41 ^= x28;
	x41 = ~x41;
	x14 &= x22;
	x14 &= x27;
	x22 = x31 & x14;
	x28 = x12 & x26;
	x38 = ~x38;
	x28 ^= x38;
	x22 ^= x28;
	x22 &= x33;
	x37 &= x26;
	x46 ^= x14;
	x37 ^= x46;
	x37 &= x31;
	x46 &= x26;
	x34 ^= x32;
	x46 ^= x34;
	x37 ^= x46;
	x22 ^= x37;
	x14 = inputs[47];
	x28 = ~x14;
	x30 = inputs[29];
	x32 = ~x30;
	x34 = inputs[13];
	x35 = ~x34;
	x37 = x34 ^ x30;
	x38 = inputs[0];
	x39 = x38 & x37;
	x40 = x34 | x32;
	x42 = x28 & x40;
	x43 = x35 ^ x42;
	x43 ^= x39;
	x44 = inputs[21];
	x43 &= x44;
	x45 = x34 & x32;
	x46 = x28 & x45;
	x47 = x30 | x35;
	x48 = x46 ^ x47;
	x48 &= x38;
	x49 = x34 ^ x32;
	x50 = x46 ^ x49;
	x51 = x48 ^ x50;
	x51 ^= x43;
	x52 = inputs[33];
	x51 &= x52;
	x53 = x28 & x49;
	x54 = x34 ^ x53;
	x55 = x38 & x54;
	x56 = ~x42;
	x56 ^= x55;
	x56 &= x44;
	x57 = x34 | x30;
	x57 ^= x46;
	x57 &= x38;
	x58 = x28 ^ x45;
	x57 ^= x58;
	x56 ^= x57;
	x51 ^= x56;
	x51 = ~x51;
	x46 ^= x37;
	x48 ^= x46;
	x43 ^= x48;
	x43 &= x52;
	x46 = x30 ^ x53;
	x46 &= x38;
	x48 = x34 ^ x46;
	x48 &= x44;
	x56 = x38 & x32;
	x47 &= x28;
	x40 ^= x47;
	x56 ^= x40;
	x48 ^= x56;
	x43 ^= x48;
	x40 = x32 | x35;
	x40 ^= x47;
	x39 ^= x40;
	x39 &= x44;
	x40 = x30 & x35;
	x40 &= x28;
	x49 ^= x40;
	x49 &= x38;
	x40 = x35 ^ x53;
	x40 ^= x49;
	x40 ^= x39;
	x40 &= x52;
	x45 ^= x47;
	x46 ^= x45;
	x46 &= x44;
	x47 = ~x47;
	x47 &= x38;
	x50 ^= x47;
	x46 ^= x50;
	x40 ^= x46;
	x54 ^= x49;
	x39 ^= x54;
	x39 &= x52;
	x35 ^= x55;
	x35 &= x44;
	x37 ^= x53;
	x37 &= x38;
	x42 ^= x32;
	x37 ^= x42;
	x35 ^= x37;
	x39 ^= x35;
	x39 = ~x39;
	x35 = inputs[30];
	x37 = ~x35;
	x42 = inputs[3];
	x45 = ~x42;
	x46 = inputs[32];
	x47 = ~x46;
	x48 = inputs[43];
	x49 = x42 & x48;
	x50 = x45 ^ x49;
	x53 = inputs[17];
	x54 = x53 & x50;
	x55 = x46 & x45;
	x56 = x48 ^ x55;
	x54 ^= x56;
	x56 = inputs[22];
	x54 &= x56;
	x57 = x46 & x48;
	x58 = x42 | x46;
	x57 ^= x58;
	x57 &= x53;
	x58 = x45 | x47;
	x58 &= x48;
	x59 = x42 ^ x58;
	x57 ^= x59;
	x54 ^= x57;
	x54 &= x37;
	x57 = x45 ^ x47;
	x59 = x48 & x57;
	x60 = x55 ^ x59;
	x60 &= x53;
	x61 = x42 | x47;
	x49 ^= x61;
	x60 ^= x49;
	x60 &= x56;
	x49 = x48 & x45;
	x62 = x42 & x46;
	x63 = x49 ^ x62;
	x63 &= x53;
	x64 = x46 | x45;
	x65 = x48 & x64;
	x66 = x45 & x47;
	x66 ^= x65;
	x63 ^= x66;
	x60 ^= x63;
	x54 ^= x60;
	x54 = ~x54;
	x59 ^= x45;
	x59 &= x53;
	x60 = x48 & x55;
	x63 = x61 ^ x60;
	x59 ^= x63;
	x59 &= x37;
	x63 = x64 ^ x65;
	x63 &= x53;
	x66 = x48 & x61;
	x55 ^= x66;
	x63 ^= x55;
	x63 &= x56;
	x66 ^= x64;
	x55 = x53 ^ x66;
	x63 ^= x55;
	x59 ^= x63;
	x59 = ~x59;
	x55 = x61 ^ x49;
	x55 &= x53;
	x63 = x42 & x47;
	x67 = x48 ^ x63;
	x55 ^= x67;
	x55 &= x56;
	x68 = x46 ^ x45;
	x68 ^= x58;
	x68 &= x53;
	x69 = x58 ^ x57;
	x69 ^= x68;
	x55 ^= x69;
	x55 &= x37;
	x65 = ~x65;
	x68 ^= x65;
	x68 &= x56;
	x65 = x58 ^ x63;
	x65 &= x53;
	x69 = x48 & x63;
	x61 ^= x69;
	x65 ^= x61;
	x68 ^= x65;
	x55 ^= x68;
	x55 = ~x55;
	x67 &= x53;
	x57 ^= x49;
	x67 ^= x57;
	x67 &= x56;
	x49 = x53 & x58;
	x58 ^= x64;
	x49 ^= x58;
	x67 ^= x49;
	x67 &= x37;
	x49 = x48 & x47;
	x63 ^= x49;
	x63 &= x53;
	x50 ^= x63;
	x50 &= x56;
	x66 &= x53;
	x62 ^= x60;
	x66 ^= x62;
	x50 ^= x66;
	x67 ^= x50;
	x49 = inputs[39];
	x50 = ~x49;
	x57 = inputs[24];
	x58 = ~x57;
	x60 = inputs[4];
	x61 = ~x60;
	x62 = inputs[18];
	x63 = ~x62;
	x64 = x57 & x63;
	x65 = x57 | x61;
	x66 = x64 ^ x65;
	x68 = inputs[42];
	x66 &= x68;
	x69 = x60 | x58;
	x70 = x63 & x69;
	x70 ^= x69;
	x66 ^= x70;
	x66 &= x50;
	x70 = x60 & x63;
	x71 = x69 ^ x70;
	x71 &= x68;
	x72 = x61 ^ x70;
	x71 ^= x72;
	x66 ^= x71;
	x71 = inputs[23];
	x66 &= x71;
	x73 = x50 & x72;
	x72 &= x68;
	x74 = x63 ^ x65;
	x74 ^= x72;
	x73 ^= x74;
	x66 ^= x73;
	x73 = x58 & x61;
	x74 = x63 ^ x73;
	x74 &= x68;
	x75 = x57 & x61;
	x76 = x63 & x75;
	x77 = x75 ^ x76;
	x74 ^= x77;
	x74 &= x50;
	x77 = x58 & x63;
	x78 = x68 & x77;
	x79 = ~x78;
	x74 ^= x79;
	x74 &= x71;
	x79 = x57 ^ x61;
	x80 = x63 & x79;
	x81 = x68 & x80;
	x82 = x63 & x73;
	x69 ^= x82;
	x81 ^= x69;
	x81 &= x50;
	x69 = x61 & x63;
	x82 = x57 ^ x69;
	x82 &= x68;
	x79 ^= x70;
	x82 ^= x79;
	x81 ^= x82;
	x74 ^= x81;
	x74 = ~x74;
	x64 &= x68;
	x79 = x60 ^ x76;
	x64 ^= x79;
	x64 &= x50;
	x79 = x68 & x63;
	x77 = ~x77;
	x79 ^= x77;
	x64 ^= x79;
	x64 &= x71;
	x79 = x58 | x61;
	x70 ^= x79;
	x78 ^= x70;
	x78 &= x50;
	x77 &= x68;
	x73 ^= x76;
	x77 ^= x73;
	x78 ^= x77;
	x64 ^= x78;
	x64 = ~x64;
	x61 ^= x58;
	x61 ^= x80;
	x61 &= x68;
	x65 ^= x61;
	x65 &= x50;
	x80 ^= x75;
	x80 &= x68;
	x65 ^= x80;
	x65 &= x71;
	x61 = ~x69;
	x72 ^= x61;
	x72 &= x50;
	x69 ^= x79;
	x69 &= x68;
	x63 ^= x75;
	x69 ^= x63;
	x72 ^= x69;
	x65 ^= x72;
	x65 = ~x65;
	x61 = inputs[48];
	x63 = ~x61;
	x69 = inputs[12];
	x70 = ~x69;
	x72 = inputs[15];
	x73 = ~x72;
	x75 = inputs[16];
	x76 = x75 & x63;
	x77 = x72 & x61;
	x78 = inputs[31];
	x79 = x78 & x77;
	x80 = x63 & x73;
	x81 = x79 ^ x80;
	x76 ^= x81;
	x76 &= x70;
	x81 = x61 ^ x79;
	x81 &= x75;
	x81 ^= x63;
	x76 ^= x81;
	x81 = inputs[50];
	x76 &= x81;
	x82 = x78 & x63;
	x83 = x75 & x82;
	x84 = x61 | x73;
	x84 ^= x82;
	x83 ^= x84;
	x83 &= x70;
	x79 ^= x63;
	x79 &= x75;
	x85 = x72 | x61;
	x86 = x78 & x85;
	x87 = x61 & x73;
	x88 = x86 ^ x87;
	x79 ^= x88;
	x83 ^= x79;
	x76 ^= x83;
	x76 = ~x76;
	x79 = x75 & x87;
	x83 = x63 ^ x73;
	x88 = x78 & x83;
	x88 ^= x79;
	x88 &= x70;
	x82 ^= x85;
	x82 &= x75;
	x82 ^= x61;
	x88 ^= x82;
	x88 &= x81;
	x82 = x61 ^ x73;
	x89 = x86 ^ x82;
	x89 &= x75;
	x84 ^= x89;
	x84 ^= x70;
	x88 ^= x84;
	x88 = ~x88;
	x84 = x75 & x82;
	x87 &= x78;
	x89 = x72 ^ x87;
	x84 ^= x89;
	x84 &= x70;
	x89 = x63 ^ x87;
	x89 &= x75;
	x87 = ~x87;
	x89 ^= x87;
	x84 ^= x89;
	x84 &= x81;
	x63 &= x72;
	x63 &= x78;
	x87 = x75 & x63;
	x77 ^= x63;
	x87 ^= x77;
	x87 &= x70;
	x63 = ~x63;
	x63 &= x75;
	x82 &= x78;
	x82 ^= x80;
	x63 ^= x82;
	x87 ^= x63;
	x84 ^= x87;
	x73 &= x75;
	x85 ^= x86;
	x73 ^= x85;
	x73 &= x70;
	x63 = x80 ^ x86;
	x79 ^= x63;
	x73 ^= x79;
	x73 &= x81;
	x80 &= x75;
	x80 = ~x80;
	x70 &= x80;
	x86 = ~x86;
	x86 &= x75;
	x83 ^= x78;
	x86 ^= x83;
	x70 ^= x86;
	x73 ^= x70;
	x63 = inputs[37];
	x70 = ~x63;
	x77 = inputs[11];
	x79 = ~x77;
	x80 = inputs[25];
	x82 = ~x80;
	x83 = inputs[10];
	x85 = ~x83;
	x86 = inputs[44];
	x87 = ~x86;
	x89 = x86 ^ x85;
	x90 = inputs[49];
	x91 = x90 & x89;
	x92 = x83 & x87;
	x93 = x91 ^ x92;
	x93 &= x79;
	x94 = x83 ^ x86;
	x95 = x90 & x94;
	x96 = x89 ^ x95;
	x93 ^= x96;
	x93 &= x82;
	x96 = x83 & x90;
	x97 = x79 & x96;
	x98 = x85 | x87;
	x95 ^= x98;
	x98 = x97 ^ x95;
	x93 ^= x98;
	x93 &= x70;
	x98 = x90 & x85;
	x99 = x87 ^ x98;
	x99 &= x79;
	x100 = ~x91;
	x99 ^= x100;
	x99 &= x82;
	x100 = x86 ^ x91;
	x100 &= x79;
	x96 ^= x89;
	x100 ^= x96;
	x99 ^= x100;
	x93 ^= x99;
	x96 = x86 & x85;
	x99 = x98 ^ x96;
	x97 ^= x99;
	x97 &= x82;
	x100 = x91 ^ x94;
	x100 &= x79;
	x98 ^= x92;
	x100 ^= x98;
	x97 ^= x100;
	x97 &= x70;
	x98 = x90 & x87;
	x100 = x89 ^ x98;
	x101 = x79 & x100;
	x87 |= x83;
	x102 = x90 ^ x87;
	x101 ^= x102;
	x101 ^= x82;
	x97 ^= x101;
	x101 = x86 & x90;
	x102 = x83 & x86;
	x102 ^= x101;
	x102 &= x79;
	x103 = x86 ^ x98;
	x102 ^= x103;
	x102 &= x82;
	x103 = x79 & x96;
	x87 ^= x98;
	x103 ^= x87;
	x102 ^= x103;
	x102 &= x70;
	x89 ^= x91;
	x89 &= x79;
	x89 &= x82;
	x87 = x83 | x86;
	x91 = x101 ^ x87;
	x91 ^= x79;
	x89 ^= x91;
	x102 ^= x89;
	x99 &= x79;
	x95 ^= x99;
	x95 &= x82;
	x92 ^= x98;
	x92 &= x79;
	x87 ^= x92;
	x95 ^= x87;
	x70 &= x95;
	x94 &= x79;
	x87 = x86 | x85;
	x87 &= x90;
	x96 ^= x87;
	x94 ^= x96;
	x94 &= x82;
	x101 = ~x101;
	x79 &= x101;
	x100 ^= x79;
	x94 ^= x100;
	x70 ^= x94;
	x70 = ~x70;
	x79 = x24 ^ x76;
	x87 = inputs[35];
	x89 = x87 ^ x39;
	x91 = x31 ^ x21;
	x92 = inputs[41];
	x94 = x92 ^ x67;
	x95 = x52 ^ x66;
	x96 = x4 ^ x93;
	x98 = ~x89;
	x99 = ~x96;
	x100 = x98 & x99;
	x101 = x95 ^ x100;
	x101 &= x79;
	x103 = x96 ^ x98;
	x103 ^= x95;
	x101 ^= x103;
	x101 &= x91;
	x104 = x89 & x95;
	x105 = x100 ^ x104;
	x105 &= x79;
	x106 = x95 & x96;
	x105 ^= x106;
	x101 ^= x105;
	x101 &= x94;
	x105 = x98 | x99;
	x107 = x95 & x105;
	x108 = x89 ^ x107;
	x108 &= x79;
	x108 ^= x98;
	x108 &= x91;
	x109 = ~x107;
	x109 &= x79;
	x103 ^= x109;
	x108 ^= x103;
	x101 ^= x108;
	x101 = ~x101;
	x103 = x96 | x98;
	x108 = x106 ^ x103;
	x108 &= x79;
	x109 = x96 ^ x106;
	x109 ^= x108;
	x109 &= x91;
	x110 = x79 & x107;
	x111 = x95 & x98;
	x112 = x89 | x96;
	x113 = x111 ^ x112;
	x110 ^= x113;
	x109 ^= x110;
	x109 &= x94;
	x112 &= x95;
	x112 ^= x103;
	x112 &= x79;
	x110 = x95 & x99;
	x114 = x105 ^ x110;
	x112 ^= x114;
	x112 &= x91;
	x114 = x79 & x113;
	x106 ^= x100;
	x114 ^= x106;
	x112 ^= x114;
	x109 ^= x112;
	x108 ^= x100;
	x108 &= x91;
	x106 = x89 & x99;
	x112 = x95 & x106;
	x112 ^= x106;
	x112 &= x79;
	x114 = x89 | x99;
	x115 = x95 & x114;
	x103 ^= x115;
	x115 = x112 ^ x103;
	x108 ^= x115;
	x108 &= x94;
	x113 ^= x112;
	x113 &= x91;
	x103 &= x79;
	x114 ^= x111;
	x103 ^= x114;
	x113 ^= x103;
	x108 ^= x113;
	x110 ^= x100;
	x110 &= x79;
	x110 &= x91;
	x99 ^= x111;
	x99 &= x79;
	x104 ^= x105;
	x99 ^= x104;
	x110 ^= x99;
	x94 &= x110;
	x98 ^= x107;
	x98 &= x79;
	x99 = x89 & x96;
	x107 ^= x99;
	x98 ^= x107;
	x91 &= x98;
	x100 &= x95;
	x100 ^= x96;
	x79 &= x100;
	x89 ^= x96;
	x95 &= x89;
	x106 ^= x95;
	x79 ^= x106;
	x91 ^= x79;
	x94 ^= x91;
	x79 = x33 ^ x66;
	x89 = x5 ^ x93;
	x91 = x14 ^ x22;
	x95 = x38 ^ x73;
	x96 = inputs[8];
	x98 = x96 ^ x54;
	x99 = x6 ^ x9;
	x100 = ~x98;
	x103 = ~x99;
	x104 = x98 & x103;
	x105 = x89 & x104;
	x104 ^= x105;
	x104 &= x79;
	x106 = x89 & x100;
	x106 ^= x98;
	x104 ^= x106;
	x104 &= x95;
	x106 = x89 & x103;
	x107 = x98 & x99;
	x110 = x106 ^ x107;
	x110 &= x79;
	x111 = ~x106;
	x110 ^= x111;
	x110 &= x91;
	x111 = x99 & x100;
	x111 &= x89;
	x112 = x100 | x103;
	x113 = x111 ^ x112;
	x113 &= x79;
	x114 = x89 & x99;
	x115 = x99 ^ x100;
	x116 = x114 ^ x115;
	x113 ^= x116;
	x110 ^= x113;
	x104 ^= x110;
	x110 = x91 & x107;
	x113 = x79 & x105;
	x106 ^= x112;
	x106 ^= x113;
	x110 ^= x106;
	x110 &= x95;
	x106 = x89 ^ x99;
	x113 ^= x106;
	x113 &= x91;
	x106 = x89 ^ x115;
	x116 = x79 ^ x106;
	x113 ^= x116;
	x110 ^= x113;
	x110 = ~x110;
	x106 &= x79;
	x106 ^= x115;
	x106 &= x91;
	x113 = x98 | x103;
	x116 = x89 & x113;
	x116 ^= x98;
	x116 &= x79;
	x117 = ~x111;
	x116 ^= x117;
	x106 ^= x116;
	x106 &= x95;
	x99 |= x100;
	x99 &= x89;
	x116 = x100 ^ x99;
	x116 &= x79;
	x98 ^= x114;
	x116 ^= x98;
	x116 &= x91;
	x98 = x89 & x115;
	x98 ^= x112;
	x98 &= x79;
	x89 &= x112;
	x89 ^= x100;
	x98 ^= x89;
	x116 ^= x98;
	x106 ^= x116;
	x107 ^= x114;
	x107 &= x79;
	x112 ^= x105;
	x107 ^= x112;
	x95 &= x107;
	x100 &= x103;
	x111 ^= x100;
	x111 &= x79;
	x105 ^= x115;
	x111 ^= x105;
	x91 &= x111;
	x113 ^= x99;
	x79 &= x113;
	x114 = ~x114;
	x79 ^= x114;
	x91 ^= x79;
	x95 ^= x91;
	x79 = x11 ^ x54;
	x89 = x6 ^ x44;
	x91 = x34 ^ x40;
	x98 = x2 ^ x64;
	x99 = x30 ^ x88;
	x100 = inputs[40];
	x103 = x100 ^ x18;
	x105 = ~x79;
	x107 = ~x89;
	x111 = x103 & x105;
	x112 = x99 & x111;
	x113 = x105 & x107;
	x112 ^= x113;
	x112 &= x91;
	x114 = x103 & x113;
	x115 = x113 ^ x114;
	x115 &= x99;
	x116 = x79 | x89;
	x117 = x111 ^ x116;
	x115 ^= x117;
	x112 ^= x115;
	x112 &= x98;
	x115 = x79 ^ x89;
	x117 = x103 & x115;
	x117 ^= x107;
	x117 &= x99;
	x118 = x89 | x105;
	x117 ^= x118;
	x117 &= x91;
	x119 = x79 & x103;
	x120 = x79 | x107;
	x121 = x119 ^ x120;
	x121 ^= x99;
	x117 ^= x121;
	x112 ^= x117;
	x112 = ~x112;
	x117 = x99 & x119;
	x121 = x89 & x105;
	x117 ^= x121;
	x117 &= x91;
	x122 = ~x111;
	x122 &= x99;
	x123 = x103 & x107;
	x124 = x121 ^ x123;
	x124 ^= x122;
	x117 ^= x124;
	x117 &= x98;
	x124 = x103 & x121;
	x125 = x120 ^ x124;
	x126 = x99 & x125;
	x125 ^= x126;
	x125 &= x91;
	x121 ^= x124;
	x121 &= x99;
	x124 = x103 & x120;
	x107 &= x79;
	x124 ^= x107;
	x121 ^= x124;
	x125 ^= x121;
	x117 ^= x125;
	x114 ^= x120;
	x122 ^= x114;
	x122 &= x91;
	x114 = x103 & x118;
	x115 ^= x114;
	x115 &= x99;
	x113 ^= x114;
	x115 ^= x113;
	x122 ^= x115;
	x122 &= x98;
	x111 ^= x105;
	x111 &= x99;
	x123 ^= x89;
	x111 ^= x123;
	x111 &= x91;
	x113 = x89 ^ x105;
	x113 ^= x114;
	x126 ^= x113;
	x111 ^= x126;
	x122 ^= x111;
	x79 &= x89;
	x103 &= x79;
	x79 = x91 & x103;
	x105 &= x99;
	x119 = ~x119;
	x105 ^= x119;
	x79 ^= x105;
	x98 &= x79;
	x118 &= x99;
	x107 ^= x103;
	x118 ^= x107;
	x91 &= x118;
	x99 &= x107;
	x116 ^= x114;
	x99 ^= x116;
	x91 ^= x99;
	x98 ^= x91;
	x79 = x0 ^ x88;
	x89 = x27 ^ x18;
	x91 = x1 ^ x59;
	x99 = x10 ^ x102;
	x103 = x7 ^ x36;
	x105 = x16 ^ x20;
	x107 = ~x91;
	x111 = ~x103;
	x113 = x91 ^ x103;
	x114 = x89 & x113;
	x115 = x103 | x107;
	x116 = x79 & x115;
	x118 = x111 ^ x116;
	x118 ^= x114;
	x118 &= x99;
	x119 = x103 & x107;
	x120 = x79 & x119;
	x121 = x91 | x111;
	x123 = x120 ^ x121;
	x123 &= x89;
	x124 = x103 ^ x107;
	x125 = x120 ^ x124;
	x126 = x123 ^ x125;
	x126 ^= x118;
	x126 &= x105;
	x127 = x79 & x124;
	x128 = x103 ^ x127;
	x129 = x89 & x128;
	x130 = ~x116;
	x130 ^= x129;
	x130 &= x99;
	x131 = x91 | x103;
	x131 ^= x120;
	x131 &= x89;
	x132 = x79 ^ x119;
	x131 ^= x132;
	x130 ^= x131;
	x126 ^= x130;
	x120 ^= x113;
	x123 ^= x120;
	x118 ^= x123;
	x118 &= x105;
	x120 = x91 ^ x127;
	x120 &= x89;
	x103 ^= x120;
	x103 &= x99;
	x123 = x89 & x107;
	x121 &= x79;
	x115 ^= x121;
	x123 ^= x115;
	x103 ^= x123;
	x118 ^= x103;
	x118 = ~x118;
	x103 = x107 | x111;
	x103 ^= x121;
	x114 ^= x103;
	x114 &= x99;
	x91 &= x111;
	x79 &= x91;
	x124 ^= x79;
	x124 &= x89;
	x79 = x111 ^ x127;
	x79 ^= x124;
	x79 ^= x114;
	x79 &= x105;
	x119 ^= x121;
	x120 ^= x119;
	x120 &= x99;
	x121 = ~x121;
	x121 &= x89;
	x125 ^= x121;
	x120 ^= x125;
	x79 ^= x120;
	x128 ^= x124;
	x114 ^= x128;
	x105 &= x114;
	x111 ^= x129;
	x99 &= x111;
	x113 ^= x127;
	x89 &= x113;
	x107 ^= x116;
	x89 ^= x107;
	x99 ^= x89;
	x105 ^= x99;
	x105 = ~x105;
	x89 = x77 ^ x36;
	x91 = x16 ^ x72;
	x99 = x80 ^ x8;
	x103 = inputs[38];
	x107 = x103 ^ x65;
	x111 = x71 ^ x43;
	x113 = x81 ^ x70;
	x114 = ~x99;
	x115 = ~x113;
	x116 = x107 & x115;
	x119 = x113 ^ x116;
	x120 = x89 & x119;
	x121 = x99 & x113;
	x123 = x107 ^ x121;
	x120 ^= x123;
	x120 &= x91;
	x123 = x99 & x107;
	x124 = x99 | x115;
	x123 ^= x124;
	x123 &= x89;
	x124 = x113 | x114;
	x124 &= x107;
	x125 = x115 ^ x124;
	x123 ^= x125;
	x120 ^= x123;
	x120 &= x111;
	x123 = x113 ^ x114;
	x125 = x107 & x123;
	x127 = x121 ^ x125;
	x127 &= x89;
	x128 = x114 | x115;
	x116 ^= x128;
	x127 ^= x116;
	x127 &= x91;
	x116 = x107 & x113;
	x129 = x99 & x115;
	x130 = x116 ^ x129;
	x130 &= x89;
	x131 = x99 | x113;
	x132 = x107 & x131;
	x133 = x113 & x114;
	x133 ^= x132;
	x130 ^= x133;
	x127 ^= x130;
	x120 ^= x127;
	x120 = ~x120;
	x125 ^= x113;
	x125 &= x89;
	x127 = x107 & x121;
	x130 = x128 ^ x127;
	x125 ^= x130;
	x125 &= x111;
	x130 = x131 ^ x132;
	x130 &= x89;
	x133 = x107 & x128;
	x121 ^= x133;
	x130 ^= x121;
	x130 &= x91;
	x133 ^= x131;
	x121 = x89 ^ x133;
	x130 ^= x121;
	x125 ^= x130;
	x121 = x128 ^ x116;
	x121 &= x89;
	x115 &= x114;
	x130 = x107 ^ x115;
	x121 ^= x130;
	x121 &= x91;
	x99 ^= x113;
	x99 ^= x124;
	x99 &= x89;
	x113 = x124 ^ x123;
	x113 ^= x99;
	x121 ^= x113;
	x121 &= x111;
	x132 = ~x132;
	x99 ^= x132;
	x99 &= x91;
	x113 = x124 ^ x115;
	x113 &= x89;
	x132 = x107 & x115;
	x128 ^= x132;
	x113 ^= x128;
	x99 ^= x113;
	x121 ^= x99;
	x130 &= x89;
	x123 ^= x116;
	x130 ^= x123;
	x130 &= x91;
	x99 = x89 & x124;
	x124 ^= x131;
	x99 ^= x124;
	x130 ^= x99;
	x111 &= x130;
	x107 &= x114;
	x115 ^= x107;
	x115 &= x89;
	x119 ^= x115;
	x91 &= x119;
	x89 &= x133;
	x129 ^= x127;
	x89 ^= x129;
	x91 ^= x89;
	x111 ^= x91;
	x89 = x46 ^ x43;
	x91 = x53 ^ x70;
	x99 = x56 ^ x84;
	x107 = x15 ^ x63;
	x113 = x69 ^ x29;
	x114 = x75 ^ x55;
	x115 = ~x91;
	x116 = ~x99;
	x119 = x113 & x115;
	x123 = x99 | x115;
	x124 = x119 ^ x123;
	x124 &= x107;
	x127 = x91 | x116;
	x128 = x113 & x127;
	x128 ^= x127;
	x124 ^= x128;
	x124 &= x89;
	x128 = x113 & x116;
	x129 = x127 ^ x128;
	x129 &= x107;
	x130 = x99 ^ x128;
	x129 ^= x130;
	x124 ^= x129;
	x124 &= x114;
	x129 = x89 & x130;
	x130 &= x107;
	x131 = x113 ^ x123;
	x131 ^= x130;
	x129 ^= x131;
	x124 ^= x129;
	x129 = x91 & x99;
	x131 = x113 ^ x129;
	x131 &= x107;
	x132 = x99 & x115;
	x133 = x113 & x132;
	x134 = x132 ^ x133;
	x131 ^= x134;
	x131 &= x89;
	x134 = x91 & x113;
	x135 = x107 & x134;
	x136 = ~x135;
	x131 ^= x136;
	x131 &= x114;
	x136 = x99 ^ x115;
	x137 = x113 & x136;
	x138 = x107 & x137;
	x139 = x113 & x129;
	x127 ^= x139;
	x138 ^= x127;
	x138 &= x89;
	x127 = x99 & x113;
	x115 ^= x127;
	x115 &= x107;
	x136 ^= x128;
	x115 ^= x136;
	x138 ^= x115;
	x131 ^= x138;
	x131 = ~x131;
	x119 &= x107;
	x116 ^= x133;
	x119 ^= x116;
	x119 &= x89;
	x115 = x107 & x113;
	x134 = ~x134;
	x115 ^= x134;
	x119 ^= x115;
	x119 &= x114;
	x115 = x91 | x99;
	x128 ^= x115;
	x135 ^= x128;
	x135 &= x89;
	x134 &= x107;
	x129 ^= x133;
	x134 ^= x129;
	x135 ^= x134;
	x119 ^= x135;
	x91 ^= x99;
	x91 ^= x137;
	x91 &= x107;
	x123 ^= x91;
	x123 &= x89;
	x137 ^= x132;
	x137 &= x107;
	x123 ^= x137;
	x114 &= x123;
	x91 = ~x127;
	x130 ^= x91;
	x89 &= x130;
	x127 ^= x115;
	x107 &= x127;
	x113 ^= x132;
	x107 ^= x113;
	x89 ^= x107;
	x114 ^= x89;
	x89 = x68 ^ x29;
	x91 = x83 ^ x55;
	x99 = x57 ^ x51;
	x107 = x86 ^ x97;
	x113 = inputs[6];
	x115 = x113 ^ x23;
	x116 = inputs[9];
	x123 = x116 ^ x74;
	x127 = ~x89;
	x128 = ~x123;
	x129 = x89 & x91;
	x130 = x127 & x128;
	x132 = x99 & x130;
	x133 = x89 & x123;
	x134 = x132 ^ x133;
	x129 ^= x134;
	x129 &= x115;
	x134 = x127 ^ x132;
	x134 &= x91;
	x134 ^= x89;
	x129 ^= x134;
	x129 &= x107;
	x134 = x89 & x99;
	x135 = x91 & x134;
	x136 = x123 | x127;
	x136 ^= x134;
	x135 ^= x136;
	x135 &= x115;
	x132 ^= x89;
	x132 &= x91;
	x137 = x127 | x128;
	x138 = x99 & x137;
	x139 = x123 & x127;
	x140 = x138 ^ x139;
	x132 ^= x140;
	x135 ^= x132;
	x129 ^= x135;
	x132 = x91 & x139;
	x135 = x89 ^ x123;
	x140 = x99 & x135;
	x140 ^= x132;
	x140 &= x115;
	x134 ^= x137;
	x134 &= x91;
	x134 ^= x127;
	x140 ^= x134;
	x140 &= x107;
	x127 ^= x123;
	x134 = x138 ^ x127;
	x134 &= x91;
	x136 ^= x134;
	x136 ^= x115;
	x140 ^= x136;
	x140 = ~x140;
	x134 = x91 & x127;
	x139 &= x99;
	x136 = x128 ^ x139;
	x134 ^= x136;
	x134 &= x115;
	x136 = x89 ^ x139;
	x136 &= x91;
	x139 = ~x139;
	x136 ^= x139;
	x134 ^= x136;
	x134 &= x107;
	x89 &= x128;
	x89 &= x99;
	x128 = x91 & x89;
	x130 ^= x89;
	x128 ^= x130;
	x128 &= x115;
	x89 = ~x89;
	x89 &= x91;
	x127 &= x99;
	x127 ^= x133;
	x89 ^= x127;
	x128 ^= x89;
	x134 ^= x128;
	x134 = ~x134;
	x123 &= x91;
	x137 ^= x138;
	x123 ^= x137;
	x123 &= x115;
	x89 = x133 ^ x138;
	x132 ^= x89;
	x123 ^= x132;
	x107 &= x123;
	x133 &= x91;
	x133 = ~x133;
	x115 &= x133;
	x138 = ~x138;
	x91 &= x138;
	x99 ^= x135;
	x91 ^= x99;
	x115 ^= x91;
	x107 ^= x115;
	x107 = ~x107;
	x89 = x35 ^ x23;
	x91 = inputs[5];
	x99 = x91 ^ x74;
	x115 = x60 ^ x41;
	x123 = x17 ^ x48;
	x127 = x49 ^ x76;
	x128 = x62 ^ x39;
	x130 = ~x115;
	x132 = ~x127;
	x133 = x127 ^ x130;
	x135 = x123 & x133;
	x136 = x115 & x132;
	x137 = x135 ^ x136;
	x137 &= x99;
	x138 = x115 ^ x127;
	x139 = x123 & x138;
	x141 = x133 ^ x139;
	x137 ^= x141;
	x137 &= x128;
	x141 = x115 & x123;
	x142 = x99 & x141;
	x143 = x130 | x132;
	x139 ^= x143;
	x143 = x142 ^ x139;
	x137 ^= x143;
	x137 &= x89;
	x143 = x123 & x130;
	x144 = x132 ^ x143;
	x144 &= x99;
	x145 = ~x135;
	x144 ^= x145;
	x144 &= x128;
	x145 = x127 ^ x135;
	x145 &= x99;
	x141 ^= x133;
	x145 ^= x141;
	x144 ^= x145;
	x137 ^= x144;
	x137 = ~x137;
	x141 = x127 & x130;
	x144 = x143 ^ x141;
	x142 ^= x144;
	x142 &= x128;
	x145 = x135 ^ x138;
	x145 &= x99;
	x143 ^= x136;
	x145 ^= x143;
	x142 ^= x145;
	x142 &= x89;
	x143 = x123 & x132;
	x145 = x133 ^ x143;
	x146 = x99 & x145;
	x132 |= x115;
	x147 = x123 ^ x132;
	x146 ^= x147;
	x146 ^= x128;
	x142 ^= x146;
	x146 = x123 & x127;
	x147 = x115 & x127;
	x147 ^= x146;
	x147 &= x99;
	x148 = x127 ^ x143;
	x147 ^= x148;
	x147 &= x128;
	x148 = x99 & x141;
	x132 ^= x143;
	x148 ^= x132;
	x147 ^= x148;
	x147 &= x89;
	x133 ^= x135;
	x133 &= x99;
	x133 &= x128;
	x115 |= x127;
	x132 = x146 ^ x115;
	x132 ^= x99;
	x133 ^= x132;
	x147 ^= x133;
	x144 &= x99;
	x139 ^= x144;
	x139 &= x128;
	x136 ^= x143;
	x136 &= x99;
	x115 ^= x136;
	x139 ^= x115;
	x89 &= x139;
	x138 &= x99;
	x127 |= x130;
	x123 &= x127;
	x141 ^= x123;
	x138 ^= x141;
	x128 &= x138;
	x146 = ~x146;
	x99 &= x146;
	x145 ^= x99;
	x128 ^= x145;
	x89 ^= x128;
	x89 = ~x89;
	x99 = x0 ^ x129;
	x115 = x44 ^ x105;
	x123 = x7 ^ x106;
	x127 = x30 ^ x111;
	x128 = x33 ^ x124;
	x130 = x27 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x4 ^ x124;
	x115 = x20 ^ x137;
	x123 = x87 ^ x98;
	x127 = x100 ^ x107;
	x128 = x11 ^ x120;
	x130 = x34 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x25 ^ x120;
	x115 = x96 ^ x101;
	x123 = x24 ^ x79;
	x127 = x38 ^ x119;
	x128 = x5 ^ x140;
	x130 = x9 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x19 ^ x140;
	x115 = x13 ^ x104;
	x123 = x52 ^ x125;
	x127 = x12 ^ x147;
	x128 = x14 ^ x117;
	x130 = x2 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x61 ^ x117;
	x115 = x42 ^ x109;
	x123 = x69 ^ x95;
	x127 = x57 ^ x114;
	x128 = x83 ^ x118;
	x130 = x49 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x62 ^ x118;
	x115 = x91 ^ x89;
	x123 = x116 ^ x134;
	x127 = x71 ^ x108;
	x128 = x90 ^ x112;
	x130 = x60 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x35 ^ x112;
	x115 = x56 ^ x121;
	x123 = x77 ^ x126;
	x127 = x46 ^ x142;
	x128 = x48 ^ x110;
	x130 = x81 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x75 ^ x110;
	x115 = x68 ^ x131;
	x123 = x72 ^ x122;
	x127 = x78 ^ x94;
	x128 = x80 ^ x129;
	x130 = x113 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x19 ^ x76;
	x115 = x96 ^ x39;
	x123 = x14 ^ x21;
	x127 = x5 ^ x67;
	x128 = x4 ^ x66;
	x130 = x13 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x27 ^ x66;
	x115 = x2 ^ x93;
	x123 = x44 ^ x22;
	x127 = x9 ^ x73;
	x128 = x25 ^ x54;
	x130 = x24 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x1 ^ x54;
	x115 = x11 ^ x6;
	x123 = x0 ^ x40;
	x127 = x100 ^ x64;
	x128 = x20 ^ x88;
	x130 = x34 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x10 ^ x88;
	x115 = x31 ^ x18;
	x123 = x33 ^ x59;
	x127 = x92 ^ x102;
	x128 = x87 ^ x36;
	x130 = x38 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x63 ^ x36;
	x115 = x86 ^ x16;
	x123 = x90 ^ x8;
	x127 = x77 ^ x65;
	x128 = x56 ^ x43;
	x130 = x80 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x113 ^ x43;
	x115 = x68 ^ x70;
	x123 = x81 ^ x84;
	x127 = x83 ^ x15;
	x128 = x103 ^ x29;
	x130 = x72 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x75 ^ x29;
	x115 = x116 ^ x55;
	x123 = x61 ^ x51;
	x127 = x62 ^ x97;
	x128 = x78 ^ x23;
	x130 = x49 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x60 ^ x23;
	x115 = x35 ^ x74;
	x123 = x42 ^ x41;
	x127 = x53 ^ x17;
	x128 = x69 ^ x76;
	x130 = x48 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x10 ^ x129;
	x115 = x11 ^ x105;
	x123 = x87 ^ x106;
	x127 = x20 ^ x111;
	x128 = x27 ^ x124;
	x130 = x31 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x13 ^ x124;
	x115 = x38 ^ x137;
	x123 = x96 ^ x98;
	x127 = x34 ^ x107;
	x128 = x1 ^ x120;
	x130 = x0 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x52 ^ x120;
	x115 = x25 ^ x101;
	x123 = x19 ^ x79;
	x127 = x9 ^ x119;
	x128 = x2 ^ x140;
	x130 = x24 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x12 ^ x140;
	x115 = x7 ^ x104;
	x123 = x4 ^ x125;
	x127 = x30 ^ x147;
	x128 = x44 ^ x117;
	x130 = x100 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x71 ^ x117;
	x115 = x46 ^ x109;
	x123 = x103 ^ x95;
	x127 = x61 ^ x114;
	x128 = x116 ^ x118;
	x130 = x69 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x48 ^ x118;
	x115 = x35 ^ x89;
	x123 = x49 ^ x134;
	x127 = x56 ^ x108;
	x128 = x57 ^ x112;
	x130 = x42 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x60 ^ x112;
	x115 = x81 ^ x121;
	x123 = x63 ^ x126;
	x127 = x113 ^ x142;
	x128 = x53 ^ x110;
	x130 = x80 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x72 ^ x110;
	x115 = x75 ^ x131;
	x123 = x86 ^ x122;
	x127 = x91 ^ x94;
	x128 = x90 ^ x129;
	x130 = x78 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x12 ^ x76;
	x115 = x25 ^ x39;
	x123 = x44 ^ x21;
	x127 = x2 ^ x67;
	x128 = x13 ^ x66;
	x130 = x7 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x31 ^ x66;
	x115 = x100 ^ x93;
	x123 = x11 ^ x22;
	x127 = x24 ^ x73;
	x128 = x52 ^ x54;
	x130 = x19 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x33 ^ x54;
	x115 = x1 ^ x6;
	x123 = x10 ^ x40;
	x127 = x34 ^ x64;
	x128 = x38 ^ x88;
	x130 = x0 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x92 ^ x88;
	x115 = x14 ^ x18;
	x123 = x27 ^ x59;
	x127 = x5 ^ x102;
	x128 = x96 ^ x36;
	x130 = x9 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x83 ^ x36;
	x115 = x62 ^ x16;
	x123 = x57 ^ x8;
	x127 = x63 ^ x65;
	x128 = x81 ^ x43;
	x130 = x90 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x78 ^ x43;
	x115 = x75 ^ x70;
	x123 = x80 ^ x84;
	x127 = x116 ^ x15;
	x128 = x77 ^ x29;
	x130 = x86 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x72 ^ x29;
	x115 = x49 ^ x55;
	x123 = x71 ^ x51;
	x127 = x48 ^ x97;
	x128 = x91 ^ x23;
	x130 = x69 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x42 ^ x23;
	x115 = x60 ^ x74;
	x123 = x46 ^ x41;
	x127 = x68 ^ x17;
	x128 = x103 ^ x76;
	x130 = x53 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x92 ^ x129;
	x115 = x1 ^ x105;
	x123 = x96 ^ x106;
	x127 = x38 ^ x111;
	x128 = x31 ^ x124;
	x130 = x14 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x7 ^ x124;
	x115 = x9 ^ x137;
	x123 = x25 ^ x98;
	x127 = x0 ^ x107;
	x128 = x33 ^ x120;
	x130 = x10 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x4 ^ x120;
	x115 = x52 ^ x101;
	x123 = x12 ^ x79;
	x127 = x24 ^ x119;
	x128 = x100 ^ x140;
	x130 = x19 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x30 ^ x140;
	x115 = x87 ^ x104;
	x123 = x13 ^ x125;
	x127 = x20 ^ x147;
	x128 = x11 ^ x117;
	x130 = x34 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x56 ^ x117;
	x115 = x113 ^ x109;
	x123 = x77 ^ x95;
	x127 = x71 ^ x114;
	x128 = x49 ^ x118;
	x130 = x103 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x53 ^ x118;
	x115 = x60 ^ x89;
	x123 = x69 ^ x134;
	x127 = x81 ^ x108;
	x128 = x61 ^ x112;
	x130 = x46 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x42 ^ x112;
	x115 = x80 ^ x121;
	x123 = x83 ^ x126;
	x127 = x78 ^ x142;
	x128 = x68 ^ x110;
	x130 = x90 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x86 ^ x110;
	x115 = x72 ^ x131;
	x123 = x62 ^ x122;
	x127 = x35 ^ x94;
	x128 = x57 ^ x129;
	x130 = x91 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x30 ^ x76;
	x115 = x52 ^ x39;
	x123 = x11 ^ x21;
	x127 = x100 ^ x67;
	x128 = x7 ^ x66;
	x130 = x87 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x14 ^ x66;
	x115 = x34 ^ x93;
	x123 = x1 ^ x22;
	x127 = x19 ^ x73;
	x128 = x4 ^ x54;
	x130 = x12 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x27 ^ x54;
	x115 = x33 ^ x6;
	x123 = x92 ^ x40;
	x127 = x0 ^ x64;
	x128 = x9 ^ x88;
	x130 = x10 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x5 ^ x88;
	x115 = x44 ^ x18;
	x123 = x31 ^ x59;
	x127 = x2 ^ x102;
	x128 = x25 ^ x36;
	x130 = x24 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x116 ^ x36;
	x115 = x48 ^ x16;
	x123 = x61 ^ x8;
	x127 = x83 ^ x65;
	x128 = x80 ^ x43;
	x130 = x57 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x91 ^ x43;
	x115 = x72 ^ x70;
	x123 = x90 ^ x84;
	x127 = x49 ^ x15;
	x128 = x63 ^ x29;
	x130 = x62 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x86 ^ x29;
	x115 = x69 ^ x55;
	x123 = x56 ^ x51;
	x127 = x53 ^ x97;
	x128 = x35 ^ x23;
	x130 = x103 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x46 ^ x23;
	x115 = x42 ^ x74;
	x123 = x113 ^ x41;
	x127 = x75 ^ x17;
	x128 = x77 ^ x76;
	x130 = x68 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x1 ^ x129;
	x115 = x20 ^ x105;
	x123 = x92 ^ x106;
	x127 = x13 ^ x111;
	x128 = x24 ^ x124;
	x130 = x19 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x0 ^ x124;
	x115 = x7 ^ x137;
	x123 = x5 ^ x98;
	x127 = x44 ^ x107;
	x128 = x38 ^ x120;
	x130 = x11 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x100 ^ x120;
	x115 = x2 ^ x101;
	x123 = x25 ^ x79;
	x127 = x87 ^ x119;
	x128 = x31 ^ x140;
	x130 = x96 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x52 ^ x140;
	x115 = x10 ^ x104;
	x123 = x34 ^ x125;
	x127 = x4 ^ x147;
	x128 = x30 ^ x117;
	x130 = x14 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x42 ^ x117;
	x115 = x103 ^ x109;
	x123 = x68 ^ x95;
	x127 = x60 ^ x114;
	x128 = x62 ^ x118;
	x130 = x53 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x61 ^ x118;
	x115 = x116 ^ x89;
	x123 = x48 ^ x134;
	x127 = x46 ^ x108;
	x128 = x35 ^ x112;
	x130 = x69 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x49 ^ x112;
	x115 = x113 ^ x121;
	x123 = x72 ^ x126;
	x127 = x77 ^ x142;
	x128 = x71 ^ x110;
	x130 = x78 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x80 ^ x110;
	x115 = x81 ^ x131;
	x123 = x90 ^ x122;
	x127 = x83 ^ x94;
	x128 = x91 ^ x129;
	x130 = x63 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x52 ^ x76;
	x115 = x2 ^ x39;
	x123 = x30 ^ x21;
	x127 = x31 ^ x67;
	x128 = x0 ^ x66;
	x130 = x10 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x19 ^ x66;
	x115 = x14 ^ x93;
	x123 = x20 ^ x22;
	x127 = x96 ^ x73;
	x128 = x100 ^ x54;
	x130 = x25 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x9 ^ x54;
	x115 = x38 ^ x6;
	x123 = x1 ^ x40;
	x127 = x44 ^ x64;
	x128 = x7 ^ x88;
	x130 = x11 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x33 ^ x88;
	x115 = x12 ^ x18;
	x123 = x24 ^ x59;
	x127 = x27 ^ x102;
	x128 = x5 ^ x36;
	x130 = x87 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x86 ^ x36;
	x115 = x57 ^ x16;
	x123 = x35 ^ x8;
	x127 = x72 ^ x65;
	x128 = x113 ^ x43;
	x130 = x91 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x63 ^ x43;
	x115 = x81 ^ x70;
	x123 = x78 ^ x84;
	x127 = x62 ^ x15;
	x128 = x75 ^ x29;
	x130 = x90 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x80 ^ x29;
	x115 = x48 ^ x55;
	x123 = x42 ^ x51;
	x127 = x61 ^ x97;
	x128 = x83 ^ x23;
	x130 = x53 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x69 ^ x23;
	x115 = x49 ^ x74;
	x123 = x103 ^ x41;
	x127 = x56 ^ x17;
	x128 = x68 ^ x76;
	x130 = x71 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x33 ^ x129;
	x115 = x38 ^ x105;
	x123 = x5 ^ x106;
	x127 = x7 ^ x111;
	x128 = x19 ^ x124;
	x130 = x12 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x10 ^ x124;
	x115 = x87 ^ x137;
	x123 = x2 ^ x98;
	x127 = x11 ^ x107;
	x128 = x9 ^ x120;
	x130 = x1 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x34 ^ x120;
	x115 = x100 ^ x101;
	x123 = x52 ^ x79;
	x127 = x96 ^ x119;
	x128 = x14 ^ x140;
	x130 = x25 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x4 ^ x140;
	x115 = x92 ^ x104;
	x123 = x0 ^ x125;
	x127 = x13 ^ x147;
	x128 = x20 ^ x117;
	x130 = x44 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x46 ^ x117;
	x115 = x77 ^ x109;
	x123 = x75 ^ x95;
	x127 = x42 ^ x114;
	x128 = x48 ^ x118;
	x130 = x68 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x71 ^ x118;
	x115 = x49 ^ x89;
	x123 = x53 ^ x134;
	x127 = x113 ^ x108;
	x128 = x60 ^ x112;
	x130 = x103 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x69 ^ x112;
	x115 = x78 ^ x121;
	x123 = x86 ^ x126;
	x127 = x63 ^ x142;
	x128 = x56 ^ x110;
	x130 = x91 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x90 ^ x110;
	x115 = x80 ^ x131;
	x123 = x57 ^ x122;
	x127 = x116 ^ x94;
	x128 = x35 ^ x129;
	x130 = x83 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x4 ^ x76;
	x115 = x100 ^ x39;
	x123 = x20 ^ x21;
	x127 = x14 ^ x67;
	x128 = x10 ^ x66;
	x130 = x92 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x12 ^ x66;
	x115 = x44 ^ x93;
	x123 = x38 ^ x22;
	x127 = x25 ^ x73;
	x128 = x34 ^ x54;
	x130 = x52 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x24 ^ x54;
	x115 = x9 ^ x6;
	x123 = x33 ^ x40;
	x127 = x11 ^ x64;
	x128 = x87 ^ x88;
	x130 = x1 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x27 ^ x88;
	x115 = x30 ^ x18;
	x123 = x19 ^ x59;
	x127 = x31 ^ x102;
	x128 = x2 ^ x36;
	x130 = x96 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x62 ^ x36;
	x115 = x61 ^ x16;
	x123 = x60 ^ x8;
	x127 = x86 ^ x65;
	x128 = x78 ^ x43;
	x130 = x35 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x83 ^ x43;
	x115 = x80 ^ x70;
	x123 = x91 ^ x84;
	x127 = x48 ^ x15;
	x128 = x72 ^ x29;
	x130 = x57 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x90 ^ x29;
	x115 = x53 ^ x55;
	x123 = x46 ^ x51;
	x127 = x71 ^ x97;
	x128 = x116 ^ x23;
	x130 = x68 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x103 ^ x23;
	x115 = x69 ^ x74;
	x123 = x77 ^ x41;
	x127 = x81 ^ x17;
	x128 = x75 ^ x76;
	x130 = x56 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x27 ^ x129;
	x115 = x9 ^ x105;
	x123 = x2 ^ x106;
	x127 = x87 ^ x111;
	x128 = x12 ^ x124;
	x130 = x30 ^ x137;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x6 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x16 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x15 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	x99 = x92 ^ x124;
	x115 = x96 ^ x137;
	x123 = x100 ^ x98;
	x127 = x1 ^ x107;
	x128 = x24 ^ x120;
	x130 = x33 ^ x101;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x18 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x23 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x21 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x8 ^= x127;
	x99 = x0 ^ x120;
	x115 = x34 ^ x101;
	x123 = x4 ^ x79;
	x127 = x25 ^ x119;
	x128 = x44 ^ x140;
	x130 = x52 ^ x104;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x29 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x36 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x41 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x22 ^= x127;
	x99 = x13 ^ x140;
	x115 = x5 ^ x104;
	x123 = x10 ^ x125;
	x127 = x7 ^ x147;
	x128 = x38 ^ x117;
	x130 = x11 ^ x109;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x51 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x43 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x40 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x39 ^= x130;
	x99 = x113 ^ x117;
	x115 = x63 ^ x109;
	x123 = x72 ^ x95;
	x127 = x46 ^ x114;
	x128 = x53 ^ x118;
	x130 = x75 ^ x89;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x54 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x59 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x55 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x67 ^= x128;
	x99 = x56 ^ x118;
	x115 = x69 ^ x89;
	x123 = x68 ^ x134;
	x127 = x78 ^ x108;
	x128 = x42 ^ x112;
	x130 = x77 ^ x121;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x66 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x74 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x64 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x65 ^= x130;
	x99 = x103 ^ x112;
	x115 = x91 ^ x121;
	x123 = x62 ^ x126;
	x127 = x83 ^ x142;
	x128 = x81 ^ x110;
	x130 = x35 ^ x131;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x76 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x88 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x84 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x73 ^= x127;
	x99 = x57 ^ x110;
	x115 = x90 ^ x131;
	x123 = x61 ^ x122;
	x127 = x49 ^ x94;
	x128 = x60 ^ x129;
	x130 = x116 ^ x105;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x93 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x97 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x102 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x70 ^= x99;
	x99 = x13 ^ x76;
	x115 = x34 ^ x39;
	x123 = x38 ^ x21;
	x127 = x44 ^ x67;
	x128 = x92 ^ x66;
	x130 = x5 ^ x93;
	x132 = ~x115;
	x133 = ~x130;
	x135 = x132 & x133;
	x136 = x128 ^ x135;
	x136 &= x99;
	x138 = x130 ^ x132;
	x138 ^= x128;
	x136 ^= x138;
	x136 &= x123;
	x139 = x115 & x128;
	x141 = x135 ^ x139;
	x141 &= x99;
	x143 = x128 & x130;
	x141 ^= x143;
	x136 ^= x141;
	x136 &= x127;
	x141 = x132 | x133;
	x144 = x128 & x141;
	x145 = x115 ^ x144;
	x145 &= x99;
	x145 ^= x132;
	x145 &= x123;
	x146 = ~x144;
	x146 &= x99;
	x138 ^= x146;
	x145 ^= x138;
	x136 ^= x145;
	x101 ^= x136;
	x136 = x130 | x132;
	x138 = x143 ^ x136;
	x138 &= x99;
	x145 = x130 ^ x143;
	x145 ^= x138;
	x145 &= x123;
	x146 = x99 & x144;
	x148 = x128 & x132;
	x149 = x115 | x130;
	x150 = x148 ^ x149;
	x146 ^= x150;
	x145 ^= x146;
	x145 &= x127;
	x149 &= x128;
	x149 ^= x136;
	x149 &= x99;
	x146 = x128 & x133;
	x151 = x141 ^ x146;
	x149 ^= x151;
	x149 &= x123;
	x151 = x99 & x150;
	x143 ^= x135;
	x151 ^= x143;
	x149 ^= x151;
	x145 ^= x149;
	x109 ^= x145;
	x138 ^= x135;
	x138 &= x123;
	x143 = x115 & x133;
	x145 = x128 & x143;
	x145 ^= x143;
	x145 &= x99;
	x149 = x115 | x133;
	x151 = x128 & x149;
	x136 ^= x151;
	x151 = x145 ^ x136;
	x138 ^= x151;
	x138 &= x127;
	x150 ^= x145;
	x150 &= x123;
	x136 &= x99;
	x149 ^= x148;
	x136 ^= x149;
	x150 ^= x136;
	x138 ^= x150;
	x108 ^= x138;
	x146 ^= x135;
	x146 &= x99;
	x146 &= x123;
	x133 ^= x148;
	x133 &= x99;
	x139 ^= x141;
	x133 ^= x139;
	x146 ^= x133;
	x127 &= x146;
	x132 ^= x144;
	x132 &= x99;
	x133 = x115 & x130;
	x144 ^= x133;
	x132 ^= x144;
	x123 &= x132;
	x135 &= x128;
	x135 ^= x130;
	x99 &= x135;
	x115 ^= x130;
	x128 &= x115;
	x143 ^= x128;
	x99 ^= x143;
	x123 ^= x99;
	x127 ^= x123;
	x94 ^= x127;
	x99 = x30 ^ x66;
	x115 = x11 ^ x93;
	x123 = x9 ^ x22;
	x127 = x52 ^ x73;
	x128 = x0 ^ x54;
	x130 = x4 ^ x6;
	x132 = ~x128;
	x133 = ~x130;
	x135 = x128 & x133;
	x136 = x115 & x135;
	x135 ^= x136;
	x135 &= x99;
	x138 = x115 & x132;
	x138 ^= x128;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 & x133;
	x139 = x128 & x130;
	x141 = x138 ^ x139;
	x141 &= x99;
	x143 = ~x138;
	x141 ^= x143;
	x141 &= x123;
	x143 = x130 & x132;
	x143 &= x115;
	x144 = x132 | x133;
	x145 = x143 ^ x144;
	x145 &= x99;
	x146 = x115 & x130;
	x148 = x130 ^ x132;
	x149 = x146 ^ x148;
	x145 ^= x149;
	x141 ^= x145;
	x135 ^= x141;
	x104 ^= x135;
	x135 = x123 & x139;
	x141 = x99 & x136;
	x138 ^= x144;
	x138 ^= x141;
	x135 ^= x138;
	x135 &= x127;
	x138 = x115 ^ x130;
	x141 ^= x138;
	x141 &= x123;
	x138 = x115 ^ x148;
	x145 = x99 ^ x138;
	x141 ^= x145;
	x135 ^= x141;
	x110 ^= x135;
	x138 &= x99;
	x138 ^= x148;
	x138 &= x123;
	x135 = x128 | x133;
	x141 = x115 & x135;
	x141 ^= x128;
	x141 &= x99;
	x145 = ~x143;
	x141 ^= x145;
	x138 ^= x141;
	x138 &= x127;
	x130 |= x132;
	x130 &= x115;
	x141 = x132 ^ x130;
	x141 &= x99;
	x128 ^= x146;
	x141 ^= x128;
	x141 &= x123;
	x128 = x115 & x148;
	x128 ^= x144;
	x128 &= x99;
	x115 &= x144;
	x115 ^= x132;
	x128 ^= x115;
	x141 ^= x128;
	x138 ^= x141;
	x106 ^= x138;
	x139 ^= x146;
	x139 &= x99;
	x144 ^= x136;
	x139 ^= x144;
	x127 &= x139;
	x132 &= x133;
	x143 ^= x132;
	x143 &= x99;
	x136 ^= x148;
	x143 ^= x136;
	x123 &= x143;
	x135 ^= x130;
	x99 &= x135;
	x146 = ~x146;
	x99 ^= x146;
	x123 ^= x99;
	x127 ^= x123;
	x95 ^= x127;
	x99 = x19 ^ x54;
	x115 = x24 ^ x6;
	x123 = x27 ^ x40;
	x127 = x1 ^ x64;
	x128 = x96 ^ x88;
	x130 = x33 ^ x18;
	x132 = ~x99;
	x133 = ~x115;
	x135 = x130 & x132;
	x136 = x128 & x135;
	x138 = x132 & x133;
	x136 ^= x138;
	x136 &= x123;
	x139 = x130 & x138;
	x141 = x138 ^ x139;
	x141 &= x128;
	x143 = x99 | x115;
	x144 = x135 ^ x143;
	x141 ^= x144;
	x136 ^= x141;
	x136 &= x127;
	x141 = x99 ^ x115;
	x144 = x130 & x141;
	x144 ^= x133;
	x144 &= x128;
	x145 = x115 | x132;
	x144 ^= x145;
	x144 &= x123;
	x146 = x99 & x130;
	x148 = x99 | x133;
	x149 = x146 ^ x148;
	x149 ^= x128;
	x144 ^= x149;
	x136 ^= x144;
	x112 ^= x136;
	x136 = x128 & x146;
	x144 = x115 & x132;
	x136 ^= x144;
	x136 &= x123;
	x149 = ~x135;
	x149 &= x128;
	x150 = x130 & x133;
	x151 = x144 ^ x150;
	x151 ^= x149;
	x136 ^= x151;
	x136 &= x127;
	x151 = x130 & x144;
	x152 = x148 ^ x151;
	x153 = x128 & x152;
	x152 ^= x153;
	x152 &= x123;
	x144 ^= x151;
	x144 &= x128;
	x151 = x130 & x148;
	x133 &= x99;
	x151 ^= x133;
	x144 ^= x151;
	x152 ^= x144;
	x136 ^= x152;
	x117 ^= x136;
	x139 ^= x148;
	x149 ^= x139;
	x149 &= x123;
	x136 = x130 & x145;
	x141 ^= x136;
	x141 &= x128;
	x138 ^= x136;
	x141 ^= x138;
	x149 ^= x141;
	x149 &= x127;
	x135 ^= x132;
	x135 &= x128;
	x150 ^= x115;
	x135 ^= x150;
	x135 &= x123;
	x138 = x115 ^ x132;
	x138 ^= x136;
	x153 ^= x138;
	x135 ^= x153;
	x149 ^= x135;
	x122 ^= x149;
	x99 &= x115;
	x130 &= x99;
	x99 = x123 & x130;
	x132 &= x128;
	x146 = ~x146;
	x132 ^= x146;
	x99 ^= x132;
	x127 &= x99;
	x145 &= x128;
	x133 ^= x130;
	x145 ^= x133;
	x123 &= x145;
	x128 &= x133;
	x143 ^= x136;
	x128 ^= x143;
	x123 ^= x128;
	x127 ^= x123;
	x98 ^= x127;
	x99 = x31 ^ x88;
	x115 = x20 ^ x18;
	x123 = x12 ^ x59;
	x127 = x14 ^ x102;
	x128 = x100 ^ x36;
	x130 = x25 ^ x16;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x123 ^ x128;
	x136 = x115 & x135;
	x138 = x128 | x132;
	x139 = x99 & x138;
	x141 = x133 ^ x139;
	x141 ^= x136;
	x141 &= x127;
	x143 = x128 & x132;
	x144 = x99 & x143;
	x145 = x123 | x133;
	x146 = x144 ^ x145;
	x146 &= x115;
	x148 = x128 ^ x132;
	x149 = x144 ^ x148;
	x150 = x146 ^ x149;
	x150 ^= x141;
	x150 &= x130;
	x151 = x99 & x148;
	x152 = x128 ^ x151;
	x153 = x115 & x152;
	x154 = ~x139;
	x154 ^= x153;
	x154 &= x127;
	x155 = x123 | x128;
	x155 ^= x144;
	x155 &= x115;
	x156 = x99 ^ x143;
	x155 ^= x156;
	x154 ^= x155;
	x150 ^= x154;
	x126 ^= x150;
	x144 ^= x135;
	x146 ^= x144;
	x141 ^= x146;
	x141 &= x130;
	x144 = x123 ^ x151;
	x144 &= x115;
	x128 ^= x144;
	x128 &= x127;
	x146 = x115 & x132;
	x145 &= x99;
	x138 ^= x145;
	x146 ^= x138;
	x128 ^= x146;
	x141 ^= x128;
	x118 ^= x141;
	x128 = x132 | x133;
	x128 ^= x145;
	x136 ^= x128;
	x136 &= x127;
	x123 &= x133;
	x99 &= x123;
	x148 ^= x99;
	x148 &= x115;
	x99 = x133 ^ x151;
	x99 ^= x148;
	x99 ^= x136;
	x99 &= x130;
	x143 ^= x145;
	x144 ^= x143;
	x144 &= x127;
	x145 = ~x145;
	x145 &= x115;
	x149 ^= x145;
	x144 ^= x149;
	x99 ^= x144;
	x79 ^= x99;
	x152 ^= x148;
	x136 ^= x152;
	x130 &= x136;
	x133 ^= x153;
	x127 &= x133;
	x135 ^= x151;
	x115 &= x135;
	x132 ^= x139;
	x115 ^= x132;
	x127 ^= x115;
	x130 ^= x127;
	x105 ^= x130;
	x99 = x48 ^ x36;
	x115 = x71 ^ x16;
	x123 = x42 ^ x8;
	x127 = x62 ^ x65;
	x128 = x91 ^ x43;
	x130 = x60 ^ x70;
	x132 = ~x123;
	x133 = ~x130;
	x135 = x127 & x133;
	x136 = x130 ^ x135;
	x138 = x99 & x136;
	x139 = x123 & x130;
	x141 = x127 ^ x139;
	x138 ^= x141;
	x138 &= x115;
	x141 = x123 & x127;
	x143 = x123 | x133;
	x141 ^= x143;
	x141 &= x99;
	x143 = x130 | x132;
	x143 &= x127;
	x144 = x133 ^ x143;
	x141 ^= x144;
	x138 ^= x141;
	x138 &= x128;
	x141 = x130 ^ x132;
	x144 = x127 & x141;
	x145 = x139 ^ x144;
	x145 &= x99;
	x146 = x132 | x133;
	x135 ^= x146;
	x145 ^= x135;
	x145 &= x115;
	x135 = x127 & x130;
	x148 = x123 & x133;
	x149 = x135 ^ x148;
	x149 &= x99;
	x150 = x123 | x130;
	x151 = x127 & x150;
	x152 = x130 & x132;
	x152 ^= x151;
	x149 ^= x152;
	x145 ^= x149;
	x138 ^= x145;
	x120 ^= x138;
	x144 ^= x130;
	x144 &= x99;
	x138 = x127 & x139;
	x145 = x146 ^ x138;
	x144 ^= x145;
	x144 &= x128;
	x145 = x150 ^ x151;
	x145 &= x99;
	x149 = x127 & x146;
	x139 ^= x149;
	x145 ^= x139;
	x145 &= x115;
	x149 ^= x150;
	x139 = x99 ^ x149;
	x145 ^= x139;
	x144 ^= x145;
	x125 ^= x144;
	x139 = x146 ^ x135;
	x139 &= x99;
	x133 &= x132;
	x144 = x127 ^ x133;
	x139 ^= x144;
	x139 &= x115;
	x123 ^= x130;
	x123 ^= x143;
	x123 &= x99;
	x130 = x143 ^ x141;
	x130 ^= x123;
	x139 ^= x130;
	x139 &= x128;
	x151 = ~x151;
	x123 ^= x151;
	x123 &= x115;
	x130 = x143 ^ x133;
	x130 &= x99;
	x145 = x127 & x133;
	x146 ^= x145;
	x130 ^= x146;
	x123 ^= x130;
	x139 ^= x123;
	x121 ^= x139;
	x144 &= x99;
	x141 ^= x135;
	x144 ^= x141;
	x144 &= x115;
	x123 = x99 & x143;
	x143 ^= x150;
	x123 ^= x143;
	x144 ^= x123;
	x128 &= x144;
	x127 &= x132;
	x133 ^= x127;
	x133 &= x99;
	x136 ^= x133;
	x115 &= x136;
	x99 &= x149;
	x148 ^= x138;
	x99 ^= x148;
	x115 ^= x99;
	x128 ^= x115;
	x111 ^= x128;
	x99 = x116 ^ x43;
	x115 = x90 ^ x70;
	x123 = x35 ^ x84;
	x127 = x53 ^ x15;
	x128 = x86 ^ x29;
	x130 = x61 ^ x55;
	x132 = ~x115;
	x133 = ~x123;
	x135 = x128 & x132;
	x136 = x123 | x132;
	x138 = x135 ^ x136;
	x138 &= x127;
	x139 = x115 | x133;
	x141 = x128 & x139;
	x141 ^= x139;
	x138 ^= x141;
	x138 &= x99;
	x141 = x128 & x133;
	x143 = x139 ^ x141;
	x143 &= x127;
	x144 = x123 ^ x141;
	x143 ^= x144;
	x138 ^= x143;
	x138 &= x130;
	x143 = x99 & x144;
	x144 &= x127;
	x145 = x128 ^ x136;
	x145 ^= x144;
	x143 ^= x145;
	x138 ^= x143;
	x124 ^= x138;
	x138 = x115 & x123;
	x143 = x128 ^ x138;
	x143 &= x127;
	x145 = x123 & x132;
	x146 = x128 & x145;
	x148 = x145 ^ x146;
	x143 ^= x148;
	x143 &= x99;
	x148 = x115 & x128;
	x149 = x127 & x148;
	x150 = ~x149;
	x143 ^= x150;
	x143 &= x130;
	x150 = x123 ^ x132;
	x151 = x128 & x150;
	x152 = x127 & x151;
	x153 = x128 & x138;
	x139 ^= x153;
	x152 ^= x139;
	x152 &= x99;
	x139 = x123 & x128;
	x132 ^= x139;
	x132 &= x127;
	x150 ^= x141;
	x132 ^= x150;
	x152 ^= x132;
	x143 ^= x152;
	x131 ^= x143;
	x135 &= x127;
	x133 ^= x146;
	x135 ^= x133;
	x135 &= x99;
	x132 = x127 & x128;
	x148 = ~x148;
	x132 ^= x148;
	x135 ^= x132;
	x135 &= x130;
	x132 = x115 | x123;
	x141 ^= x132;
	x149 ^= x141;
	x149 &= x99;
	x148 &= x127;
	x138 ^= x146;
	x148 ^= x138;
	x149 ^= x148;
	x135 ^= x149;
	x119 ^= x135;
	x115 ^= x123;
	x115 ^= x151;
	x115 &= x127;
	x136 ^= x115;
	x136 &= x99;
	x151 ^= x145;
	x151 &= x127;
	x136 ^= x151;
	x130 &= x136;
	x115 = ~x139;
	x144 ^= x115;
	x99 &= x144;
	x139 ^= x132;
	x127 &= x139;
	x128 ^= x145;
	x127 ^= x128;
	x99 ^= x127;
	x130 ^= x99;
	x114 ^= x130;
	x99 = x57 ^ x29;
	x115 = x68 ^ x55;
	x123 = x113 ^ x51;
	x127 = x56 ^ x97;
	x128 = x49 ^ x23;
	x130 = x75 ^ x74;
	x132 = ~x99;
	x133 = ~x130;
	x135 = x99 & x115;
	x136 = x132 & x133;
	x138 = x123 & x136;
	x139 = x99 & x130;
	x141 = x138 ^ x139;
	x135 ^= x141;
	x135 &= x128;
	x141 = x132 ^ x138;
	x141 &= x115;
	x141 ^= x99;
	x135 ^= x141;
	x135 &= x127;
	x141 = x99 & x123;
	x143 = x115 & x141;
	x144 = x130 | x132;
	x144 ^= x141;
	x143 ^= x144;
	x143 &= x128;
	x138 ^= x99;
	x138 &= x115;
	x145 = x132 | x133;
	x146 = x123 & x145;
	x148 = x130 & x132;
	x149 = x146 ^ x148;
	x138 ^= x149;
	x143 ^= x138;
	x135 ^= x143;
	x129 ^= x135;
	x135 = x115 & x148;
	x138 = x99 ^ x130;
	x143 = x123 & x138;
	x143 ^= x135;
	x143 &= x128;
	x141 ^= x145;
	x141 &= x115;
	x141 ^= x132;
	x143 ^= x141;
	x143 &= x127;
	x132 ^= x130;
	x141 = x146 ^ x132;
	x141 &= x115;
	x144 ^= x141;
	x144 ^= x128;
	x143 ^= x144;
	x140 ^= x143;
	x141 = x115 & x132;
	x148 &= x123;
	x143 = x133 ^ x148;
	x141 ^= x143;
	x141 &= x128;
	x143 = x99 ^ x148;
	x143 &= x115;
	x148 = ~x148;
	x143 ^= x148;
	x141 ^= x143;
	x141 &= x127;
	x99 &= x133;
	x99 &= x123;
	x133 = x115 & x99;
	x136 ^= x99;
	x133 ^= x136;
	x133 &= x128;
	x99 = ~x99;
	x99 &= x115;
	x132 &= x123;
	x132 ^= x139;
	x99 ^= x132;
	x133 ^= x99;
	x141 ^= x133;
	x134 ^= x141;
	x130 &= x115;
	x145 ^= x146;
	x130 ^= x145;
	x130 &= x128;
	x99 = x139 ^ x146;
	x135 ^= x99;
	x130 ^= x135;
	x127 &= x130;
	x139 &= x115;
	x139 = ~x139;
	x128 &= x139;
	x146 = ~x146;
	x115 &= x146;
	x123 ^= x138;
	x115 ^= x123;
	x128 ^= x115;
	x127 ^= x128;
	x107 ^= x127;
	x99 = x77 ^ x23;
	x115 = x103 ^ x74;
	x123 = x63 ^ x41;
	x127 = x80 ^ x17;
	x128 = x72 ^ x76;
	x130 = x81 ^ x39;
	x132 = ~x123;
	x133 = ~x128;
	x135 = x128 ^ x132;
	x136 = x127 & x135;
	x138 = x123 & x133;
	x139 = x136 ^ x138;
	x139 &= x115;
	x141 = x123 ^ x128;
	x143 = x127 & x141;
	x144 = x135 ^ x143;
	x139 ^= x144;
	x139 &= x130;
	x144 = x123 & x127;
	x145 = x115 & x144;
	x146 = x132 | x133;
	x143 ^= x146;
	x146 = x145 ^ x143;
	x139 ^= x146;
	x139 &= x99;
	x146 = x127 & x132;
	x148 = x133 ^ x146;
	x148 &= x115;
	x149 = ~x136;
	x148 ^= x149;
	x148 &= x130;
	x149 = x128 ^ x136;
	x149 &= x115;
	x144 ^= x135;
	x149 ^= x144;
	x148 ^= x149;
	x139 ^= x148;
	x137 ^= x139;
	x139 = x128 & x132;
	x144 = x146 ^ x139;
	x145 ^= x144;
	x145 &= x130;
	x148 = x136 ^ x141;
	x148 &= x115;
	x146 ^= x138;
	x148 ^= x146;
	x145 ^= x148;
	x145 &= x99;
	x146 = x127 & x133;
	x148 = x135 ^ x146;
	x149 = x115 & x148;
	x133 |= x123;
	x150 = x127 ^ x133;
	x149 ^= x150;
	x149 ^= x130;
	x145 ^= x149;
	x142 ^= x145;
	x145 = x127 & x128;
	x149 = x123 & x128;
	x149 ^= x145;
	x149 &= x115;
	x150 = x128 ^ x146;
	x149 ^= x150;
	x149 &= x130;
	x150 = x115 & x139;
	x133 ^= x146;
	x150 ^= x133;
	x149 ^= x150;
	x149 &= x99;
	x135 ^= x136;
	x135 &= x115;
	x135 &= x130;
	x123 |= x128;
	x133 = x145 ^ x123;
	x133 ^= x115;
	x135 ^= x133;
	x149 ^= x135;
	x147 ^= x149;
	x144 &= x115;
	x143 ^= x144;
	x143 &= x130;
	x138 ^= x146;
	x138 &= x115;
	x123 ^= x138;
	x143 ^= x123;
	x99 &= x143;
	x141 &= x115;
	x128 |= x132;
	x127 &= x128;
	x139 ^= x127;
	x141 ^= x139;
	x130 &= x141;
	x145 = ~x145;
	x115 &= x145;
	x148 ^= x115;
	x130 ^= x148;
	x99 ^= x130;
	x89 ^= x99;
	x99 = x31 ^ x129;
	x115 = x24 ^ x105;
	x123 = x100 ^ x106;
	x127 = x96 ^ x111;
	x30 ^= x124;
	x128 = x20 ^ x137;
	x130 = ~x115;
	x132 = ~x128;
	x133 = x130 & x132;
	x135 = x30 ^ x133;
	x135 &= x99;
	x136 = x128 ^ x130;
	x136 ^= x30;
	x135 ^= x136;
	x135 &= x123;
	x138 = x115 & x30;
	x139 = x133 ^ x138;
	x139 &= x99;
	x141 = x30 & x128;
	x139 ^= x141;
	x135 ^= x139;
	x135 &= x127;
	x139 = x130 | x132;
	x143 = x30 & x139;
	x144 = x115 ^ x143;
	x144 &= x99;
	x144 ^= x130;
	x144 &= x123;
	x145 = ~x143;
	x145 &= x99;
	x136 ^= x145;
	x144 ^= x136;
	x135 ^= x144;
	x6 ^= x135;
	result &= x6;
	if (result == 0)
	    return (0);
	x6 = x128 | x130;
	x135 = x141 ^ x6;
	x135 &= x99;
	x136 = x128 ^ x141;
	x136 ^= x135;
	x136 &= x123;
	x144 = x99 & x143;
	x145 = x30 & x130;
	x146 = x115 | x128;
	x148 = x145 ^ x146;
	x144 ^= x148;
	x136 ^= x144;
	x136 &= x127;
	x146 &= x30;
	x146 ^= x6;
	x146 &= x99;
	x144 = x30 & x132;
	x149 = x139 ^ x144;
	x146 ^= x149;
	x146 &= x123;
	x149 = x99 & x148;
	x141 ^= x133;
	x149 ^= x141;
	x146 ^= x149;
	x136 ^= x146;
	x16 ^= x136;
	result &= ~x16;
	if (result == 0)
	    return (0);
	x135 ^= x133;
	x135 &= x123;
	x16 = x115 & x132;
	x136 = x30 & x16;
	x136 ^= x16;
	x136 &= x99;
	x141 = x115 | x132;
	x146 = x30 & x141;
	x6 ^= x146;
	x146 = x136 ^ x6;
	x135 ^= x146;
	x135 &= x127;
	x148 ^= x136;
	x148 &= x123;
	x6 &= x99;
	x141 ^= x145;
	x6 ^= x141;
	x148 ^= x6;
	x135 ^= x148;
	x15 ^= x135;
	result &= ~x15;
	if (result == 0)
	    return (0);
	x144 ^= x133;
	x144 &= x99;
	x144 &= x123;
	x132 ^= x145;
	x132 &= x99;
	x138 ^= x139;
	x132 ^= x138;
	x144 ^= x132;
	x127 &= x144;
	x130 ^= x143;
	x130 &= x99;
	x6 = x115 & x128;
	x143 ^= x6;
	x130 ^= x143;
	x123 &= x130;
	x133 &= x30;
	x133 ^= x128;
	x99 &= x133;
	x115 ^= x128;
	x30 &= x115;
	x16 ^= x30;
	x99 ^= x16;
	x123 ^= x99;
	x127 ^= x123;
	x17 ^= x127;
	result &= ~x17;
	if (result == 0)
	    return (0);
	x6 = x5 ^ x124;
	x15 = x25 ^ x137;
	x16 = x34 ^ x98;
	x17 = x33 ^ x107;
	x30 = x19 ^ x120;
	x27 ^= x101;
	x99 = ~x30;
	x115 = ~x27;
	x123 = x30 & x115;
	x127 = x15 & x123;
	x123 ^= x127;
	x123 &= x6;
	x128 = x15 & x99;
	x128 ^= x30;
	x123 ^= x128;
	x123 &= x17;
	x128 = x15 & x115;
	x130 = x30 & x27;
	x132 = x128 ^ x130;
	x132 &= x6;
	x133 = ~x128;
	x132 ^= x133;
	x132 &= x16;
	x133 = x27 & x99;
	x133 &= x15;
	x135 = x99 | x115;
	x136 = x133 ^ x135;
	x136 &= x6;
	x138 = x15 & x27;
	x139 = x27 ^ x99;
	x141 = x138 ^ x139;
	x136 ^= x141;
	x132 ^= x136;
	x123 ^= x132;
	x18 ^= x123;
	result &= ~x18;
	if (result == 0)
	    return (0);
	x18 = x16 & x130;
	x123 = x6 & x127;
	x128 ^= x135;
	x128 ^= x123;
	x18 ^= x128;
	x18 &= x17;
	x128 = x15 ^ x27;
	x123 ^= x128;
	x123 &= x16;
	x128 = x15 ^ x139;
	x132 = x6 ^ x128;
	x123 ^= x132;
	x18 ^= x123;
	x23 ^= x18;
	result &= ~x23;
	if (result == 0)
	    return (0);
	x128 &= x6;
	x128 ^= x139;
	x128 &= x16;
	x18 = x30 | x115;
	x23 = x15 & x18;
	x23 ^= x30;
	x23 &= x6;
	x123 = ~x133;
	x23 ^= x123;
	x128 ^= x23;
	x128 &= x17;
	x27 |= x99;
	x27 &= x15;
	x23 = x99 ^ x27;
	x23 &= x6;
	x30 ^= x138;
	x23 ^= x30;
	x23 &= x16;
	x30 = x15 & x139;
	x30 ^= x135;
	x30 &= x6;
	x15 &= x135;
	x15 ^= x99;
	x30 ^= x15;
	x23 ^= x30;
	x128 ^= x23;
	x21 ^= x128;
	result &= ~x21;
	if (result == 0)
	    return (0);
	x130 ^= x138;
	x130 &= x6;
	x135 ^= x127;
	x130 ^= x135;
	x17 &= x130;
	x99 &= x115;
	x133 ^= x99;
	x133 &= x6;
	x127 ^= x139;
	x133 ^= x127;
	x16 &= x133;
	x18 ^= x27;
	x6 &= x18;
	x138 = ~x138;
	x6 ^= x138;
	x16 ^= x6;
	x17 ^= x16;
	x8 ^= x17;
	result &= ~x8;
	if (result == 0)
	    return (0);
	x10 ^= x120;
	x0 ^= x101;
	x6 = x13 ^ x79;
	x8 = x52 ^ x119;
	x11 ^= x140;
	x15 = x4 ^ x104;
	x16 = ~x10;
	x17 = ~x0;
	x18 = x15 & x16;
	x21 = x11 & x18;
	x23 = x16 & x17;
	x21 ^= x23;
	x21 &= x6;
	x27 = x15 & x23;
	x30 = x23 ^ x27;
	x30 &= x11;
	x99 = x10 | x0;
	x115 = x18 ^ x99;
	x30 ^= x115;
	x21 ^= x30;
	x21 &= x8;
	x30 = x10 ^ x0;
	x115 = x15 & x30;
	x115 ^= x17;
	x115 &= x11;
	x123 = x0 | x16;
	x115 ^= x123;
	x115 &= x6;
	x127 = x10 & x15;
	x128 = x10 | x17;
	x130 = x127 ^ x128;
	x130 ^= x11;
	x115 ^= x130;
	x21 ^= x115;
	x29 ^= x21;
	result &= x29;
	if (result == 0)
	    return (0);
	x21 = x11 & x127;
	x29 = x0 & x16;
	x21 ^= x29;
	x21 &= x6;
	x115 = ~x18;
	x115 &= x11;
	x130 = x15 & x17;
	x132 = x29 ^ x130;
	x132 ^= x115;
	x21 ^= x132;
	x21 &= x8;
	x132 = x15 & x29;
	x133 = x128 ^ x132;
	x135 = x11 & x133;
	x133 ^= x135;
	x133 &= x6;
	x29 ^= x132;
	x29 &= x11;
	x132 = x15 & x128;
	x17 &= x10;
	x132 ^= x17;
	x29 ^= x132;
	x133 ^= x29;
	x21 ^= x133;
	x36 ^= x21;
	result &= x36;
	if (result == 0)
	    return (0);
	x27 ^= x128;
	x115 ^= x27;
	x115 &= x6;
	x21 = x15 & x123;
	x30 ^= x21;
	x30 &= x11;
	x23 ^= x21;
	x30 ^= x23;
	x115 ^= x30;
	x115 &= x8;
	x18 ^= x16;
	x18 &= x11;
	x130 ^= x0;
	x18 ^= x130;
	x18 &= x6;
	x23 = x0 ^ x16;
	x23 ^= x21;
	x135 ^= x23;
	x18 ^= x135;
	x115 ^= x18;
	x41 ^= x115;
	result &= ~x41;
	if (result == 0)
	    return (0);
	x10 &= x0;
	x15 &= x10;
	x0 = x6 & x15;
	x16 &= x11;
	x127 = ~x127;
	x16 ^= x127;
	x0 ^= x16;
	x8 &= x0;
	x123 &= x11;
	x17 ^= x15;
	x123 ^= x17;
	x6 &= x123;
	x11 &= x17;
	x99 ^= x21;
	x11 ^= x99;
	x6 ^= x11;
	x8 ^= x6;
	x22 ^= x8;
	result &= x22;
	if (result == 0)
	    return (0);
	x0 = x7 ^ x140;
	x6 = x2 ^ x104;
	x8 = x92 ^ x125;
	x10 = x87 ^ x147;
	x11 = x9 ^ x117;
	x1 ^= x109;
	x15 = ~x8;
	x16 = ~x11;
	x17 = x8 ^ x11;
	x18 = x6 & x17;
	x21 = x11 | x15;
	x22 = x0 & x21;
	x23 = x16 ^ x22;
	x23 ^= x18;
	x23 &= x10;
	x27 = x11 & x15;
	x29 = x0 & x27;
	x30 = x8 | x16;
	x36 = x29 ^ x30;
	x36 &= x6;
	x41 = x11 ^ x15;
	x99 = x29 ^ x41;
	x115 = x36 ^ x99;
	x115 ^= x23;
	x115 &= x1;
	x123 = x0 & x41;
	x127 = x11 ^ x123;
	x128 = x6 & x127;
	x130 = ~x22;
	x130 ^= x128;
	x130 &= x10;
	x132 = x8 | x11;
	x132 ^= x29;
	x132 &= x6;
	x133 = x0 ^ x27;
	x132 ^= x133;
	x130 ^= x132;
	x115 ^= x130;
	x51 ^= x115;
	result &= ~x51;
	if (result == 0)
	    return (0);
	x29 ^= x17;
	x36 ^= x29;
	x23 ^= x36;
	x23 &= x1;
	x29 = x8 ^ x123;
	x29 &= x6;
	x11 ^= x29;
	x11 &= x10;
	x36 = x6 & x15;
	x30 &= x0;
	x21 ^= x30;
	x36 ^= x21;
	x11 ^= x36;
	x23 ^= x11;
	x43 ^= x23;
	result &= ~x43;
	if (result == 0)
	    return (0);
	x11 = x15 | x16;
	x11 ^= x30;
	x18 ^= x11;
	x18 &= x10;
	x8 &= x16;
	x0 &= x8;
	x41 ^= x0;
	x41 &= x6;
	x0 = x16 ^ x123;
	x0 ^= x41;
	x0 ^= x18;
	x0 &= x1;
	x27 ^= x30;
	x29 ^= x27;
	x29 &= x10;
	x30 = ~x30;
	x30 &= x6;
	x99 ^= x30;
	x29 ^= x99;
	x0 ^= x29;
	x40 ^= x0;
	result &= ~x40;
	if (result == 0)
	    return (0);
	x127 ^= x41;
	x18 ^= x127;
	x1 &= x18;
	x16 ^= x128;
	x10 &= x16;
	x17 ^= x123;
	x6 &= x17;
	x15 ^= x22;
	x6 ^= x15;
	x10 ^= x6;
	x1 ^= x10;
	x39 ^= x1;
	result &= x39;
	if (result == 0)
	    return (0);
	x0 = x78 ^ x117;
	x1 = x83 ^ x109;
	x6 = x86 ^ x95;
	x8 = x113 ^ x114;
	x10 = x68 ^ x118;
	x72 ^= x89;
	x11 = ~x6;
	x15 = ~x72;
	x16 = x8 & x15;
	x17 = x72 ^ x16;
	x18 = x0 & x17;
	x21 = x6 & x72;
	x22 = x8 ^ x21;
	x18 ^= x22;
	x18 &= x1;
	x22 = x6 & x8;
	x23 = x6 | x15;
	x22 ^= x23;
	x22 &= x0;
	x23 = x72 | x11;
	x23 &= x8;
	x27 = x15 ^ x23;
	x22 ^= x27;
	x18 ^= x22;
	x18 &= x10;
	x22 = x72 ^ x11;
	x27 = x8 & x22;
	x29 = x21 ^ x27;
	x29 &= x0;
	x30 = x11 | x15;
	x16 ^= x30;
	x29 ^= x16;
	x29 &= x1;
	x16 = x8 & x72;
	x36 = x6 & x15;
	x39 = x16 ^ x36;
	x39 &= x0;
	x40 = x6 | x72;
	x41 = x8 & x40;
	x43 = x72 & x11;
	x43 ^= x41;
	x39 ^= x43;
	x29 ^= x39;
	x18 ^= x29;
	x54 ^= x18;
	result &= ~x54;
	if (result == 0)
	    return (0);
	x27 ^= x72;
	x27 &= x0;
	x18 = x8 & x21;
	x29 = x30 ^ x18;
	x27 ^= x29;
	x27 &= x10;
	x29 = x40 ^ x41;
	x29 &= x0;
	x39 = x8 & x30;
	x21 ^= x39;
	x29 ^= x21;
	x29 &= x1;
	x39 ^= x40;
	x21 = x0 ^ x39;
	x29 ^= x21;
	x27 ^= x29;
	x59 ^= x27;
	result &= ~x59;
	if (result == 0)
	    return (0);
	x21 = x30 ^ x16;
	x21 &= x0;
	x15 &= x11;
	x27 = x8 ^ x15;
	x21 ^= x27;
	x21 &= x1;
	x6 ^= x72;
	x6 ^= x23;
	x6 &= x0;
	x29 = x23 ^ x22;
	x29 ^= x6;
	x21 ^= x29;
	x21 &= x10;
	x41 = ~x41;
	x6 ^= x41;
	x6 &= x1;
	x29 = x23 ^ x15;
	x29 &= x0;
	x41 = x8 & x15;
	x30 ^= x41;
	x29 ^= x30;
	x6 ^= x29;
	x21 ^= x6;
	x55 ^= x21;
	result &= x55;
	if (result == 0)
	    return (0);
	x27 &= x0;
	x22 ^= x16;
	x27 ^= x22;
	x27 &= x1;
	x6 = x0 & x23;
	x23 ^= x40;
	x6 ^= x23;
	x27 ^= x6;
	x10 &= x27;
	x8 &= x11;
	x15 ^= x8;
	x15 &= x0;
	x17 ^= x15;
	x1 &= x17;
	x0 &= x39;
	x36 ^= x18;
	x0 ^= x36;
	x1 ^= x0;
	x10 ^= x1;
	x67 ^= x10;
	result &= ~x67;
	if (result == 0)
	    return (0);
	x0 = x81 ^ x118;
	x1 = x103 ^ x89;
	x6 = x75 ^ x134;
	x8 = x91 ^ x108;
	x46 ^= x112;
	x10 = x63 ^ x121;
	x11 = ~x1;
	x15 = ~x6;
	x16 = x46 & x11;
	x17 = x6 | x11;
	x18 = x16 ^ x17;
	x18 &= x8;
	x21 = x1 | x15;
	x22 = x46 & x21;
	x22 ^= x21;
	x18 ^= x22;
	x18 &= x0;
	x22 = x46 & x15;
	x23 = x21 ^ x22;
	x23 &= x8;
	x27 = x6 ^ x22;
	x23 ^= x27;
	x18 ^= x23;
	x18 &= x10;
	x23 = x0 & x27;
	x27 &= x8;
	x29 = x46 ^ x17;
	x29 ^= x27;
	x23 ^= x29;
	x18 ^= x23;
	x66 ^= x18;
	result &= x66;
	if (result == 0)
	    return (0);
	x18 = x1 & x6;
	x23 = x46 ^ x18;
	x23 &= x8;
	x29 = x6 & x11;
	x30 = x46 & x29;
	x36 = x29 ^ x30;
	x23 ^= x36;
	x23 &= x0;
	x36 = x1 & x46;
	x39 = x8 & x36;
	x40 = ~x39;
	x23 ^= x40;
	x23 &= x10;
	x40 = x6 ^ x11;
	x41 = x46 & x40;
	x43 = x8 & x41;
	x51 = x46 & x18;
	x21 ^= x51;
	x43 ^= x21;
	x43 &= x0;
	x21 = x6 & x46;
	x11 ^= x21;
	x11 &= x8;
	x40 ^= x22;
	x11 ^= x40;
	x43 ^= x11;
	x23 ^= x43;
	x74 ^= x23;
	result &= ~x74;
	if (result == 0)
	    return (0);
	x16 &= x8;
	x15 ^= x30;
	x16 ^= x15;
	x16 &= x0;
	x11 = x8 & x46;
	x36 = ~x36;
	x11 ^= x36;
	x16 ^= x11;
	x16 &= x10;
	x11 = x1 | x6;
	x22 ^= x11;
	x39 ^= x22;
	x39 &= x0;
	x36 &= x8;
	x18 ^= x30;
	x36 ^= x18;
	x39 ^= x36;
	x16 ^= x39;
	x64 ^= x16;
	result &= x64;
	if (result == 0)
	    return (0);
	x1 ^= x6;
	x1 ^= x41;
	x1 &= x8;
	x17 ^= x1;
	x17 &= x0;
	x41 ^= x29;
	x41 &= x8;
	x17 ^= x41;
	x10 &= x17;
	x1 = ~x21;
	x27 ^= x1;
	x0 &= x27;
	x21 ^= x11;
	x8 &= x21;
	x46 ^= x29;
	x8 ^= x46;
	x0 ^= x8;
	x10 ^= x0;
	x65 ^= x10;
	result &= x65;
	if (result == 0)
	    return (0);
	x77 ^= x112;
	x35 ^= x121;
	x48 ^= x126;
	x0 = x116 ^ x142;
	x80 ^= x110;
	x1 = x60 ^ x131;
	x6 = ~x77;
	x8 = ~x1;
	x10 = x77 & x35;
	x11 = x6 & x8;
	x15 = x48 & x11;
	x16 = x77 & x1;
	x17 = x15 ^ x16;
	x10 ^= x17;
	x10 &= x80;
	x17 = x6 ^ x15;
	x17 &= x35;
	x17 ^= x77;
	x10 ^= x17;
	x10 &= x0;
	x17 = x77 & x48;
	x18 = x35 & x17;
	x21 = x1 | x6;
	x21 ^= x17;
	x18 ^= x21;
	x18 &= x80;
	x15 ^= x77;
	x15 &= x35;
	x22 = x6 | x8;
	x23 = x48 & x22;
	x27 = x1 & x6;
	x29 = x23 ^ x27;
	x15 ^= x29;
	x18 ^= x15;
	x10 ^= x18;
	x76 ^= x10;
	result &= ~x76;
	if (result == 0)
	    return (0);
	x10 = x35 & x27;
	x15 = x77 ^ x1;
	x18 = x48 & x15;
	x18 ^= x10;
	x18 &= x80;
	x17 ^= x22;
	x17 &= x35;
	x17 ^= x6;
	x18 ^= x17;
	x18 &= x0;
	x6 ^= x1;
	x17 = x23 ^ x6;
	x17 &= x35;
	x21 ^= x17;
	x21 ^= x80;
	x18 ^= x21;
	x88 ^= x18;
	result &= x88;
	if (result == 0)
	    return (0);
	x17 = x35 & x6;
	x27 &= x48;
	x18 = x8 ^ x27;
	x17 ^= x18;
	x17 &= x80;
	x18 = x77 ^ x27;
	x18 &= x35;
	x27 = ~x27;
	x18 ^= x27;
	x17 ^= x18;
	x17 &= x0;
	x77 &= x8;
	x77 &= x48;
	x8 = x35 & x77;
	x11 ^= x77;
	x8 ^= x11;
	x8 &= x80;
	x77 = ~x77;
	x77 &= x35;
	x6 &= x48;
	x6 ^= x16;
	x77 ^= x6;
	x8 ^= x77;
	x17 ^= x8;
	x84 ^= x17;
	result &= ~x84;
	if (result == 0)
	    return (0);
	x1 &= x35;
	x22 ^= x23;
	x1 ^= x22;
	x1 &= x80;
	x6 = x16 ^ x23;
	x10 ^= x6;
	x1 ^= x10;
	x0 &= x1;
	x16 &= x35;
	x16 = ~x16;
	x80 &= x16;
	x23 = ~x23;
	x35 &= x23;
	x48 ^= x15;
	x35 ^= x48;
	x80 ^= x35;
	x0 ^= x80;
	x73 ^= x0;
	result &= ~x73;
	if (result == 0)
	    return (0);
	x0 = x61 ^ x110;
	x57 ^= x131;
	x1 = x71 ^ x122;
	x69 ^= x94;
	x42 ^= x129;
	x6 = x49 ^ x105;
	x8 = ~x1;
	x10 = ~x42;
	x11 = x42 ^ x8;
	x15 = x69 & x11;
	x16 = x1 & x10;
	x17 = x15 ^ x16;
	x17 &= x57;
	x18 = x1 ^ x42;
	x21 = x69 & x18;
	x22 = x11 ^ x21;
	x17 ^= x22;
	x17 &= x6;
	x22 = x1 & x69;
	x23 = x57 & x22;
	x27 = x8 | x10;
	x21 ^= x27;
	x27 = x23 ^ x21;
	x17 ^= x27;
	x17 &= x0;
	x27 = x69 & x8;
	x29 = x10 ^ x27;
	x29 &= x57;
	x30 = ~x15;
	x29 ^= x30;
	x29 &= x6;
	x30 = x42 ^ x15;
	x30 &= x57;
	x22 ^= x11;
	x30 ^= x22;
	x29 ^= x30;
	x17 ^= x29;
	x93 ^= x17;
	result &= x93;
	if (result == 0)
	    return (0);
	x17 = x42 & x8;
	x22 = x27 ^ x17;
	x23 ^= x22;
	x23 &= x6;
	x29 = x15 ^ x18;
	x29 &= x57;
	x27 ^= x16;
	x29 ^= x27;
	x23 ^= x29;
	x23 &= x0;
	x27 = x69 & x10;
	x29 = x11 ^ x27;
	x30 = x57 & x29;
	x10 |= x1;
	x35 = x69 ^ x10;
	x30 ^= x35;
	x30 ^= x6;
	x23 ^= x30;
	x97 ^= x23;
	result &= x97;
	if (result == 0)
	    return (0);
	x23 = x69 & x42;
	x30 = x1 & x42;
	x30 ^= x23;
	x30 &= x57;
	x35 = x42 ^ x27;
	x30 ^= x35;
	x30 &= x6;
	x35 = x57 & x17;
	x10 ^= x27;
	x35 ^= x10;
	x30 ^= x35;
	x30 &= x0;
	x11 ^= x15;
	x11 &= x57;
	x11 &= x6;
	x1 |= x42;
	x10 = x23 ^ x1;
	x10 ^= x57;
	x11 ^= x10;
	x30 ^= x11;
	x102 ^= x30;
	result &= ~x102;
	if (result == 0)
	    return (0);
	x22 &= x57;
	x21 ^= x22;
	x21 &= x6;
	x16 ^= x27;
	x16 &= x57;
	x1 ^= x16;
	x21 ^= x1;
	x0 &= x21;
	x18 &= x57;
	x42 |= x8;
	x69 &= x42;
	x17 ^= x69;
	x18 ^= x17;
	x6 &= x18;
	x23 = ~x23;
	x57 &= x23;
	x29 ^= x57;
	x6 ^= x29;
	x0 ^= x6;
	x70 ^= x0;
	result &= ~x70;
	if (result == 0)
	    return (0);
	x0 = ~x33;
	x1 = x33 & x14;
	x6 = x3 ^ x1;
	x6 &= x34;
	x8 = x14 ^ x0;
	x8 ^= x3;
	x6 ^= x8;
	x6 &= x13;
	x10 = x3 & x28;
	x11 = x1 ^ x10;
	x11 &= x34;
	x15 = x3 & x0;
	x11 ^= x15;
	x6 ^= x11;
	x6 &= x12;
	x11 = x33 | x14;
	x16 = x3 & x11;
	x17 = x28 ^ x16;
	x17 &= x34;
	x17 ^= x14;
	x17 &= x13;
	x18 = ~x16;
	x18 &= x34;
	x8 ^= x18;
	x17 ^= x8;
	x6 ^= x17;
	x101 ^= x6;
	result &= ~x101;
	if (result == 0)
	    return (0);
	x6 = x14 | x0;
	x8 = x15 ^ x6;
	x8 &= x34;
	x17 = x0 ^ x15;
	x17 ^= x8;
	x17 &= x13;
	x18 = x34 & x16;
	x21 = x3 & x14;
	x22 = x28 | x0;
	x23 = x21 ^ x22;
	x18 ^= x23;
	x17 ^= x18;
	x17 &= x12;
	x22 &= x3;
	x22 ^= x6;
	x22 &= x34;
	x18 = x33 & x3;
	x27 = x11 ^ x18;
	x22 ^= x27;
	x22 &= x13;
	x27 = x34 & x23;
	x15 ^= x1;
	x27 ^= x15;
	x22 ^= x27;
	x17 ^= x22;
	x109 ^= x17;
	result &= ~x109;
	if (result == 0)
	    return (0);
	x8 ^= x1;
	x8 &= x13;
	x15 = x33 & x28;
	x17 = x3 & x15;
	x17 ^= x15;
	x17 &= x34;
	x22 = x33 | x28;
	x27 = x3 & x22;
	x6 ^= x27;
	x27 = x17 ^ x6;
	x8 ^= x27;
	x8 &= x12;
	x23 ^= x17;
	x23 &= x13;
	x6 &= x34;
	x22 ^= x21;
	x6 ^= x22;
	x23 ^= x6;
	x8 ^= x23;
	x108 ^= x8;
	result &= x108;
	if (result == 0)
	    return (0);
	x18 ^= x1;
	x18 &= x34;
	x18 &= x13;
	x33 ^= x21;
	x33 &= x34;
	x10 ^= x11;
	x33 ^= x10;
	x18 ^= x33;
	x12 &= x18;
	x14 ^= x16;
	x14 &= x34;
	x6 = x28 & x0;
	x16 ^= x6;
	x14 ^= x16;
	x13 &= x14;
	x1 &= x3;
	x1 ^= x0;
	x34 &= x1;
	x28 ^= x0;
	x3 &= x28;
	x15 ^= x3;
	x34 ^= x15;
	x13 ^= x34;
	x12 ^= x13;
	x94 ^= x12;
	result &= x94;
	if (result == 0)
	    return (0);
	x52 = ~x52;
	x7 = ~x7;
	x0 = ~x100;
	x1 = ~x44;
	x3 = x44 & x100;
	x6 = x32 & x3;
	x3 ^= x6;
	x3 &= x52;
	x8 = x32 & x1;
	x8 ^= x44;
	x3 ^= x8;
	x3 &= x2;
	x8 = x100 & x32;
	x10 = x44 & x0;
	x11 = x8 ^ x10;
	x11 &= x52;
	x12 = ~x8;
	x11 ^= x12;
	x11 &= x7;
	x12 = x0 & x1;
	x12 &= x32;
	x13 = x100 | x1;
	x14 = x12 ^ x13;
	x14 &= x52;
	x15 = x32 & x0;
	x16 = x0 ^ x1;
	x17 = x15 ^ x16;
	x14 ^= x17;
	x11 ^= x14;
	x3 ^= x11;
	x104 ^= x3;
	result &= ~x104;
	if (result == 0)
	    return (0);
	x3 = x7 & x10;
	x11 = x52 & x6;
	x8 ^= x13;
	x8 ^= x11;
	x3 ^= x8;
	x3 &= x2;
	x8 = x32 ^ x0;
	x11 ^= x8;
	x11 &= x7;
	x8 = x32 ^ x16;
	x14 = x52 ^ x8;
	x11 ^= x14;
	x3 ^= x11;
	x110 ^= x3;
	result &= ~x110;
	if (result == 0)
	    return (0);
	x8 &= x52;
	x8 ^= x16;
	x8 &= x7;
	x3 = x44 | x100;
	x11 = x32 & x3;
	x11 ^= x44;
	x11 &= x52;
	x14 = ~x12;
	x11 ^= x14;
	x8 ^= x11;
	x8 &= x2;
	x0 |= x1;
	x0 &= x32;
	x11 = x1 ^ x0;
	x11 &= x52;
	x44 ^= x15;
	x11 ^= x44;
	x11 &= x7;
	x14 = x32 & x16;
	x14 ^= x13;
	x14 &= x52;
	x32 &= x13;
	x32 ^= x1;
	x14 ^= x32;
	x11 ^= x14;
	x8 ^= x11;
	x106 ^= x8;
	result &= x106;
	if (result == 0)
	    return (0);
	x10 ^= x15;
	x10 &= x52;
	x13 ^= x6;
	x10 ^= x13;
	x2 &= x10;
	x100 &= x1;
	x12 ^= x100;
	x12 &= x52;
	x6 ^= x16;
	x12 ^= x6;
	x7 &= x12;
	x3 ^= x0;
	x52 &= x3;
	x15 = ~x15;
	x52 ^= x15;
	x7 ^= x52;
	x2 ^= x7;
	x95 ^= x2;
	result &= ~x95;
	if (result == 0)
	    return (0);
	x0 = ~x87;
	x20 = ~x20;
	x92 = ~x92;
	x1 = ~x96;
	x2 = x38 & x1;
	x3 = x92 & x2;
	x6 = x87 & x1;
	x3 ^= x6;
	x3 &= x9;
	x7 = x38 & x6;
	x8 = x6 ^ x7;
	x8 &= x92;
	x10 = x96 | x0;
	x11 = x2 ^ x10;
	x8 ^= x11;
	x3 ^= x8;
	x3 &= x20;
	x8 = x96 ^ x0;
	x11 = x38 & x8;
	x11 ^= x87;
	x11 &= x92;
	x12 = x0 | x1;
	x11 ^= x12;
	x11 &= x9;
	x13 = x38 & x96;
	x14 = x96 | x87;
	x15 = x13 ^ x14;
	x15 ^= x92;
	x11 ^= x15;
	x3 ^= x11;
	x112 ^= x3;
	result &= ~x112;
	if (result == 0)
	    return (0);
	x3 = x92 & x13;
	x11 = x0 & x1;
	x3 ^= x11;
	x3 &= x9;
	x15 = ~x2;
	x15 &= x92;
	x16 = x38 & x87;
	x17 = x11 ^ x16;
	x17 ^= x15;
	x3 ^= x17;
	x3 &= x20;
	x17 = x38 & x11;
	x18 = x14 ^ x17;
	x21 = x92 & x18;
	x18 ^= x21;
	x18 &= x9;
	x11 ^= x17;
	x11 &= x92;
	x17 = x38 & x14;
	x87 &= x96;
	x17 ^= x87;
	x11 ^= x17;
	x18 ^= x11;
	x3 ^= x18;
	x117 ^= x3;
	result &= x117;
	if (result == 0)
	    return (0);
	x7 ^= x14;
	x15 ^= x7;
	x15 &= x9;
	x3 = x38 & x12;
	x8 ^= x3;
	x8 &= x92;
	x6 ^= x3;
	x8 ^= x6;
	x15 ^= x8;
	x15 &= x20;
	x2 ^= x1;
	x2 &= x92;
	x16 ^= x0;
	x2 ^= x16;
	x2 &= x9;
	x6 = x0 ^ x1;
	x6 ^= x3;
	x21 ^= x6;
	x2 ^= x21;
	x15 ^= x2;
	x122 ^= x15;
	result &= x122;
	if (result == 0)
	    return (0);
	x96 &= x0;
	x38 &= x96;
	x0 = x9 & x38;
	x1 &= x92;
	x13 = ~x13;
	x1 ^= x13;
	x0 ^= x1;
	x20 &= x0;
	x12 &= x92;
	x87 ^= x38;
	x12 ^= x87;
	x9 &= x12;
	x92 &= x87;
	x10 ^= x3;
	x92 ^= x10;
	x9 ^= x92;
	x20 ^= x9;
	x98 ^= x20;
	result &= ~x98;
	if (result == 0)
	    return (0);
	x24 = ~x24;
	x0 = ~x31;
	x1 = x25 ^ x0;
	x2 = x4 & x1;
	x3 = x26 | x0;
	x6 = x24 & x3;
	x7 = x31 ^ x6;
	x7 ^= x2;
	x7 &= x19;
	x8 = x26 & x0;
	x9 = x24 & x8;
	x10 = x31 | x25;
	x11 = x9 ^ x10;
	x11 &= x4;
	x12 = x26 ^ x0;
	x13 = x9 ^ x12;
	x14 = x11 ^ x13;
	x14 ^= x7;
	x14 &= x5;
	x15 = x24 & x12;
	x16 = x0 ^ x15;
	x17 = x4 & x16;
	x18 = ~x6;
	x18 ^= x17;
	x18 &= x19;
	x20 = x25 | x0;
	x20 ^= x9;
	x20 &= x4;
	x21 = x24 ^ x8;
	x20 ^= x21;
	x18 ^= x20;
	x14 ^= x18;
	x126 ^= x14;
	result &= ~x126;
	if (result == 0)
	    return (0);
	x9 ^= x1;
	x11 ^= x9;
	x7 ^= x11;
	x7 &= x5;
	x9 = x25 ^ x15;
	x9 &= x4;
	x0 ^= x9;
	x0 &= x19;
	x11 = x4 & x26;
	x10 &= x24;
	x3 ^= x10;
	x11 ^= x3;
	x0 ^= x11;
	x7 ^= x0;
	x118 ^= x7;
	result &= ~x118;
	if (result == 0)
	    return (0);
	x0 = x31 | x26;
	x0 ^= x10;
	x2 ^= x0;
	x2 &= x19;
	x25 &= x31;
	x24 &= x25;
	x12 ^= x24;
	x12 &= x4;
	x0 = x31 ^ x15;
	x0 ^= x12;
	x0 ^= x2;
	x0 &= x5;
	x8 ^= x10;
	x9 ^= x8;
	x9 &= x19;
	x10 = ~x10;
	x10 &= x4;
	x13 ^= x10;
	x9 ^= x13;
	x0 ^= x9;
	x79 ^= x0;
	result &= ~x79;
	if (result == 0)
	    return (0);
	x16 ^= x12;
	x2 ^= x16;
	x5 &= x2;
	x31 ^= x17;
	x19 &= x31;
	x1 ^= x15;
	x4 &= x1;
	x26 ^= x6;
	x4 ^= x26;
	x19 ^= x4;
	x5 ^= x19;
	x105 ^= x5;
	result &= ~x105;
	if (result == 0)
	    return (0);
	x90 = ~x90;
	x0 = ~x116;
	x1 = x90 & x0;
	x2 = x116 ^ x1;
	x3 = x58 & x2;
	x4 = x116 & x49;
	x5 = x90 ^ x4;
	x3 ^= x5;
	x3 &= x60;
	x5 = x49 & x90;
	x6 = x49 | x0;
	x5 ^= x6;
	x5 &= x58;
	x6 = x116 | x50;
	x6 &= x90;
	x7 = x0 ^ x6;
	x5 ^= x7;
	x3 ^= x5;
	x3 &= x63;
	x5 = x116 ^ x50;
	x7 = x90 & x5;
	x8 = x4 ^ x7;
	x8 &= x58;
	x9 = x50 | x0;
	x1 ^= x9;
	x8 ^= x1;
	x8 &= x60;
	x1 = x116 & x90;
	x10 = x49 & x0;
	x11 = x1 ^ x10;
	x11 &= x58;
	x12 = x116 | x49;
	x13 = x90 & x12;
	x14 = x116 & x50;
	x14 ^= x13;
	x11 ^= x14;
	x8 ^= x11;
	x3 ^= x8;
	x120 ^= x3;
	result &= x120;
	if (result == 0)
	    return (0);
	x7 ^= x116;
	x7 &= x58;
	x3 = x90 & x4;
	x8 = x9 ^ x3;
	x7 ^= x8;
	x7 &= x63;
	x8 = x12 ^ x13;
	x8 &= x58;
	x11 = x90 & x9;
	x4 ^= x11;
	x8 ^= x4;
	x8 &= x60;
	x11 ^= x12;
	x4 = x58 ^ x11;
	x8 ^= x4;
	x7 ^= x8;
	x125 ^= x7;
	result &= ~x125;
	if (result == 0)
	    return (0);
	x4 = x9 ^ x1;
	x4 &= x58;
	x0 &= x50;
	x7 = x90 ^ x0;
	x4 ^= x7;
	x4 &= x60;
	x116 ^= x49;
	x116 ^= x6;
	x116 &= x58;
	x8 = x6 ^ x5;
	x8 ^= x116;
	x4 ^= x8;
	x4 &= x63;
	x13 = ~x13;
	x116 ^= x13;
	x116 &= x60;
	x8 = x6 ^ x0;
	x8 &= x58;
	x13 = x90 & x0;
	x9 ^= x13;
	x8 ^= x9;
	x116 ^= x8;
	x4 ^= x116;
	x121 ^= x4;
	result &= ~x121;
	if (result == 0)
	    return (0);
	x7 &= x58;
	x5 ^= x1;
	x7 ^= x5;
	x7 &= x60;
	x1 = x58 & x6;
	x6 ^= x12;
	x1 ^= x6;
	x7 ^= x1;
	x63 &= x7;
	x50 &= x90;
	x0 ^= x50;
	x0 &= x58;
	x2 ^= x0;
	x60 &= x2;
	x58 &= x11;
	x10 ^= x3;
	x58 ^= x10;
	x60 ^= x58;
	x63 ^= x60;
	x111 ^= x63;
	result &= x111;
	if (result == 0)
	    return (0);
	x0 = ~x78;
	x1 = x82 & x0;
	x2 = x83 | x0;
	x3 = x1 ^ x2;
	x3 &= x61;
	x4 = x78 | x85;
	x5 = x82 & x4;
	x5 ^= x4;
	x3 ^= x5;
	x3 &= x86;
	x5 = x82 & x85;
	x6 = x4 ^ x5;
	x6 &= x61;
	x7 = x83 ^ x5;
	x6 ^= x7;
	x3 ^= x6;
	x3 &= x37;
	x6 = x86 & x7;
	x7 &= x61;
	x8 = x82 ^ x2;
	x8 ^= x7;
	x6 ^= x8;
	x3 ^= x6;
	x124 ^= x3;
	result &= ~x124;
	if (result == 0)
	    return (0);
	x3 = x83 & x78;
	x6 = x82 ^ x3;
	x6 &= x61;
	x8 = x83 & x0;
	x9 = x82 & x8;
	x10 = x8 ^ x9;
	x6 ^= x10;
	x6 &= x86;
	x10 = x78 & x82;
	x11 = x61 & x10;
	x12 = ~x11;
	x6 ^= x12;
	x6 &= x37;
	x12 = x83 ^ x0;
	x13 = x82 & x12;
	x14 = x61 & x13;
	x15 = x82 & x3;
	x4 ^= x15;
	x14 ^= x4;
	x14 &= x86;
	x4 = x83 & x82;
	x0 ^= x4;
	x0 &= x61;
	x12 ^= x5;
	x0 ^= x12;
	x14 ^= x0;
	x6 ^= x14;
	x131 ^= x6;
	result &= ~x131;
	if (result == 0)
	    return (0);
	x1 &= x61;
	x85 ^= x9;
	x1 ^= x85;
	x1 &= x86;
	x0 = x61 & x82;
	x10 = ~x10;
	x0 ^= x10;
	x1 ^= x0;
	x1 &= x37;
	x0 = x83 | x78;
	x5 ^= x0;
	x11 ^= x5;
	x11 &= x86;
	x10 &= x61;
	x3 ^= x9;
	x10 ^= x3;
	x11 ^= x10;
	x1 ^= x11;
	x119 ^= x1;
	result &= ~x119;
	if (result == 0)
	    return (0);
	x83 ^= x78;
	x83 ^= x13;
	x83 &= x61;
	x2 ^= x83;
	x2 &= x86;
	x13 ^= x8;
	x13 &= x61;
	x2 ^= x13;
	x37 &= x2;
	x1 = ~x4;
	x7 ^= x1;
	x86 &= x7;
	x4 ^= x0;
	x61 &= x4;
	x82 ^= x8;
	x61 ^= x82;
	x86 ^= x61;
	x37 ^= x86;
	x114 ^= x37;
	result &= x114;
	if (result == 0)
	    return (0);
	x0 = ~x91;
	x71 = ~x71;
	x1 = ~x56;
	x2 = x0 & x71;
	x3 = x91 & x1;
	x4 = x103 & x3;
	x5 = x56 & x0;
	x6 = x4 ^ x5;
	x2 ^= x6;
	x2 &= x62;
	x6 = x91 ^ x4;
	x6 &= x71;
	x6 ^= x0;
	x2 ^= x6;
	x2 &= x45;
	x6 = x103 & x0;
	x7 = x71 & x6;
	x8 = x91 | x56;
	x8 ^= x6;
	x7 ^= x8;
	x7 &= x62;
	x4 ^= x0;
	x4 &= x71;
	x9 = x91 | x1;
	x10 = x103 & x9;
	x11 = x91 & x56;
	x12 = x10 ^ x11;
	x4 ^= x12;
	x7 ^= x4;
	x2 ^= x7;
	x129 ^= x2;
	result &= x129;
	if (result == 0)
	    return (0);
	x2 = x71 & x11;
	x4 = x56 ^ x0;
	x7 = x103 & x4;
	x7 ^= x2;
	x7 &= x62;
	x6 ^= x9;
	x6 &= x71;
	x6 ^= x91;
	x7 ^= x6;
	x7 &= x45;
	x91 ^= x56;
	x6 = x10 ^ x91;
	x6 &= x71;
	x8 ^= x6;
	x8 ^= x62;
	x7 ^= x8;
	x140 ^= x7;
	result &= ~x140;
	if (result == 0)
	    return (0);
	x6 = x71 & x91;
	x11 &= x103;
	x7 = x1 ^ x11;
	x6 ^= x7;
	x6 &= x62;
	x7 = x0 ^ x11;
	x7 &= x71;
	x11 = ~x11;
	x7 ^= x11;
	x6 ^= x7;
	x6 &= x45;
	x0 &= x1;
	x0 &= x103;
	x1 = x71 & x0;
	x3 ^= x0;
	x1 ^= x3;
	x1 &= x62;
	x0 = ~x0;
	x0 &= x71;
	x91 &= x103;
	x91 ^= x5;
	x0 ^= x91;
	x1 ^= x0;
	x6 ^= x1;
	x134 ^= x6;
	result &= ~x134;
	if (result == 0)
	    return (0);
	x56 &= x71;
	x9 ^= x10;
	x56 ^= x9;
	x56 &= x62;
	x0 = x5 ^ x10;
	x2 ^= x0;
	x56 ^= x2;
	x45 &= x56;
	x5 &= x71;
	x5 = ~x5;
	x62 &= x5;
	x10 = ~x10;
	x71 &= x10;
	x103 ^= x4;
	x71 ^= x103;
	x62 ^= x71;
	x45 ^= x62;
	x107 ^= x45;
	result &= x107;
	if (result == 0)
	    return (0);
	x0 = ~x75;
	x1 = ~x81;
	x2 = x81 ^ x0;
	x3 = x113 & x2;
	x4 = x75 & x1;
	x5 = x3 ^ x4;
	x5 &= x53;
	x6 = x75 ^ x81;
	x7 = x113 & x6;
	x8 = x2 ^ x7;
	x5 ^= x8;
	x5 &= x47;
	x8 = x113 & x75;
	x9 = x53 & x8;
	x10 = x0 | x1;
	x7 ^= x10;
	x10 = x9 ^ x7;
	x5 ^= x10;
	x5 &= x68;
	x10 = x113 & x0;
	x11 = x1 ^ x10;
	x11 &= x53;
	x12 = ~x3;
	x11 ^= x12;
	x11 &= x47;
	x12 = x81 ^ x3;
	x12 &= x53;
	x8 ^= x2;
	x12 ^= x8;
	x11 ^= x12;
	x5 ^= x11;
	x137 ^= x5;
	result &= x137;
	if (result == 0)
	    return (0);
	x5 = x81 & x0;
	x8 = x10 ^ x5;
	x9 ^= x8;
	x9 &= x47;
	x11 = x3 ^ x6;
	x11 &= x53;
	x10 ^= x4;
	x11 ^= x10;
	x9 ^= x11;
	x9 &= x68;
	x10 = x113 & x1;
	x11 = x2 ^ x10;
	x12 = x53 & x11;
	x1 |= x75;
	x13 = x113 ^ x1;
	x12 ^= x13;
	x12 ^= x47;
	x9 ^= x12;
	x142 ^= x9;
	result &= ~x142;
	if (result == 0)
	    return (0);
	x9 = x113 & x81;
	x12 = x75 & x81;
	x12 ^= x9;
	x12 &= x53;
	x13 = x81 ^ x10;
	x12 ^= x13;
	x12 &= x47;
	x13 = x53 & x5;
	x1 ^= x10;
	x13 ^= x1;
	x12 ^= x13;
	x12 &= x68;
	x2 ^= x3;
	x2 &= x53;
	x2 &= x47;
	x75 |= x81;
	x1 = x9 ^ x75;
	x1 ^= x53;
	x2 ^= x1;
	x12 ^= x2;
	x147 ^= x12;
	result &= ~x147;
	if (result == 0)
	    return (0);
	x8 &= x53;
	x7 ^= x8;
	x7 &= x47;
	x4 ^= x10;
	x4 &= x53;
	x75 ^= x4;
	x7 ^= x75;
	x68 &= x7;
	x6 &= x53;
	x81 |= x0;
	x113 &= x81;
	x5 ^= x113;
	x6 ^= x5;
	x47 &= x6;
	x9 = ~x9;
	x53 &= x9;
	x11 ^= x53;
	x47 ^= x11;
	x68 ^= x47;
	x89 ^= x68;
	result &= ~x89;
	if (result == 0)
	    return (0);
	return (result);
}
